searchNodes=[{"ref":"GoogleApi.Container.V1.Api.Projects.html","title":"GoogleApi.Container.V1.Api.Projects","module":"GoogleApi.Container.V1.Api.Projects","type":"module","doc":"API calls for all endpoints tagged Projects."},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_locations_clusters_complete_ip_rotation/4","title":"GoogleApi.Container.V1.Api.Projects.container_projects_locations_clusters_complete_ip_rotation/4","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"Completes master IP rotation. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server name (String.t): The name (project, location, cluster id) of the cluster to complete IP rotation. Specified in the format &#39;projects//locations//clusters/*&#39;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (CompleteIpRotationRequest): Returns {:ok, %GoogleApi.Container.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_locations_clusters_create/4","title":"GoogleApi.Container.V1.Api.Projects.container_projects_locations_clusters_create/4","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"Creates a cluster, consisting of the specified number and type of Google Compute Engine instances. By default, the cluster is created in the project&#39;s default network. One firewall is added for the cluster. After cluster creation, the cluster creates routes for each node to allow the containers on that node to communicate with all other instances in the cluster. Finally, an entry is added to the project&#39;s global metadata indicating which CIDR range is being used by the cluster. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server parent (String.t): The parent (project and location) where the cluster will be created. Specified in the format &#39;projects//locations/&#39;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (CreateClusterRequest): Returns {:ok, %GoogleApi.Container.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_locations_clusters_get_jwks/4","title":"GoogleApi.Container.V1.Api.Projects.container_projects_locations_clusters_get_jwks/4","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"GetJSONWebKeys gets the public component of the cluster signing keys in JSON Web Key format. This API is not yet intended for general use, and is not available for all clusters. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server parent (String.t): The cluster (project, location, cluster id) to get keys for. Specified in the format &#39;projects//locations//clusters/*&#39;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). Returns {:ok, %GoogleApi.Container.V1.Model.GetJsonWebKeysResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_locations_clusters_list/4","title":"GoogleApi.Container.V1.Api.Projects.container_projects_locations_clusters_list/4","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"Lists all clusters owned by a project in either the specified zone or all zones. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server parent (String.t): The parent (project and location) where the clusters will be listed. Specified in the format &#39;projects//locations/&#39;. Location &quot;-&quot; matches all zones and all regions. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :projectId (String.t): Deprecated. The Google Developers Console project ID or project number. This field has been deprecated and replaced by the parent field. :zone (String.t): Deprecated. The name of the Google Compute Engine zone in which the cluster resides, or &quot;-&quot; for all zones. This field has been deprecated and replaced by the parent field. Returns {:ok, %GoogleApi.Container.V1.Model.ListClustersResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_locations_clusters_node_pools_create/4","title":"GoogleApi.Container.V1.Api.Projects.container_projects_locations_clusters_node_pools_create/4","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"Creates a node pool for a cluster. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server parent (String.t): The parent (project, location, cluster id) where the node pool will be created. Specified in the format &#39;projects//locations//clusters/*&#39;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (CreateNodePoolRequest): Returns {:ok, %GoogleApi.Container.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_locations_clusters_node_pools_delete/4","title":"GoogleApi.Container.V1.Api.Projects.container_projects_locations_clusters_node_pools_delete/4","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"Deletes a node pool from a cluster. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server name (String.t): The name (project, location, cluster, node pool id) of the node pool to delete. Specified in the format &#39;projects//locations//clusters//nodePools/&#39;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :clusterId (String.t): Deprecated. The name of the cluster. This field has been deprecated and replaced by the name field. :nodePoolId (String.t): Deprecated. The name of the node pool to delete. This field has been deprecated and replaced by the name field. :projectId (String.t): Deprecated. The Google Developers Console project ID or project number. This field has been deprecated and replaced by the name field. :zone (String.t): Deprecated. The name of the Google Compute Engine zone in which the cluster resides. This field has been deprecated and replaced by the name field. Returns {:ok, %GoogleApi.Container.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_locations_clusters_node_pools_list/4","title":"GoogleApi.Container.V1.Api.Projects.container_projects_locations_clusters_node_pools_list/4","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"Lists the node pools for a cluster. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server parent (String.t): The parent (project, location, cluster id) where the node pools will be listed. Specified in the format &#39;projects//locations//clusters/*&#39;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :clusterId (String.t): Deprecated. The name of the cluster. This field has been deprecated and replaced by the parent field. :projectId (String.t): Deprecated. The Google Developers Console project ID or project number. This field has been deprecated and replaced by the parent field. :zone (String.t): Deprecated. The name of the Google Compute Engine zone in which the cluster resides. This field has been deprecated and replaced by the parent field. Returns {:ok, %GoogleApi.Container.V1.Model.ListNodePoolsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_locations_clusters_node_pools_rollback/4","title":"GoogleApi.Container.V1.Api.Projects.container_projects_locations_clusters_node_pools_rollback/4","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"Roll back the previously Aborted or Failed NodePool upgrade. This will be an no-op if the last upgrade successfully completed. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server name (String.t): The name (project, location, cluster, node pool id) of the node poll to rollback upgrade. Specified in the format &#39;projects//locations//clusters//nodePools/&#39;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (RollbackNodePoolUpgradeRequest): Returns {:ok, %GoogleApi.Container.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_locations_clusters_node_pools_set_autoscaling/4","title":"GoogleApi.Container.V1.Api.Projects.container_projects_locations_clusters_node_pools_set_autoscaling/4","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"Sets the autoscaling settings for a specific node pool. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server name (String.t): The name (project, location, cluster, node pool) of the node pool to set autoscaler settings. Specified in the format &#39;projects//locations//clusters//nodePools/&#39;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (SetNodePoolAutoscalingRequest): Returns {:ok, %GoogleApi.Container.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_locations_clusters_node_pools_set_management/4","title":"GoogleApi.Container.V1.Api.Projects.container_projects_locations_clusters_node_pools_set_management/4","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"Sets the NodeManagement options for a node pool. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server name (String.t): The name (project, location, cluster, node pool id) of the node pool to set management properties. Specified in the format &#39;projects//locations//clusters//nodePools/&#39;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (SetNodePoolManagementRequest): Returns {:ok, %GoogleApi.Container.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_locations_clusters_node_pools_set_size/4","title":"GoogleApi.Container.V1.Api.Projects.container_projects_locations_clusters_node_pools_set_size/4","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"Sets the size for a specific node pool. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server name (String.t): The name (project, location, cluster, node pool id) of the node pool to set size. Specified in the format &#39;projects//locations//clusters//nodePools/&#39;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (SetNodePoolSizeRequest): Returns {:ok, %GoogleApi.Container.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_locations_clusters_node_pools_update/4","title":"GoogleApi.Container.V1.Api.Projects.container_projects_locations_clusters_node_pools_update/4","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"Updates the version and/or image type for a specific node pool. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server name (String.t): The name (project, location, cluster, node pool) of the node pool to update. Specified in the format &#39;projects//locations//clusters//nodePools/&#39;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (UpdateNodePoolRequest): Returns {:ok, %GoogleApi.Container.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_locations_clusters_set_addons/4","title":"GoogleApi.Container.V1.Api.Projects.container_projects_locations_clusters_set_addons/4","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"Sets the addons for a specific cluster. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server name (String.t): The name (project, location, cluster) of the cluster to set addons. Specified in the format &#39;projects//locations//clusters/*&#39;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (SetAddonsConfigRequest): Returns {:ok, %GoogleApi.Container.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_locations_clusters_set_legacy_abac/4","title":"GoogleApi.Container.V1.Api.Projects.container_projects_locations_clusters_set_legacy_abac/4","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"Enables or disables the ABAC authorization mechanism on a cluster. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server name (String.t): The name (project, location, cluster id) of the cluster to set legacy abac. Specified in the format &#39;projects//locations//clusters/*&#39;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (SetLegacyAbacRequest): Returns {:ok, %GoogleApi.Container.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_locations_clusters_set_locations/4","title":"GoogleApi.Container.V1.Api.Projects.container_projects_locations_clusters_set_locations/4","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"Sets the locations for a specific cluster. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server name (String.t): The name (project, location, cluster) of the cluster to set locations. Specified in the format &#39;projects//locations//clusters/*&#39;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (SetLocationsRequest): Returns {:ok, %GoogleApi.Container.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_locations_clusters_set_logging/4","title":"GoogleApi.Container.V1.Api.Projects.container_projects_locations_clusters_set_logging/4","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"Sets the logging service for a specific cluster. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server name (String.t): The name (project, location, cluster) of the cluster to set logging. Specified in the format &#39;projects//locations//clusters/*&#39;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (SetLoggingServiceRequest): Returns {:ok, %GoogleApi.Container.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_locations_clusters_set_maintenance_policy/4","title":"GoogleApi.Container.V1.Api.Projects.container_projects_locations_clusters_set_maintenance_policy/4","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"Sets the maintenance policy for a cluster. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server name (String.t): The name (project, location, cluster id) of the cluster to set maintenance policy. Specified in the format &#39;projects//locations//clusters/*&#39;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (SetMaintenancePolicyRequest): Returns {:ok, %GoogleApi.Container.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_locations_clusters_set_master_auth/4","title":"GoogleApi.Container.V1.Api.Projects.container_projects_locations_clusters_set_master_auth/4","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"Used to set master auth materials. Currently supports :- Changing the admin password for a specific cluster. This can be either via password generation or explicitly set the password. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server name (String.t): The name (project, location, cluster) of the cluster to set auth. Specified in the format &#39;projects//locations//clusters/*&#39;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (SetMasterAuthRequest): Returns {:ok, %GoogleApi.Container.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_locations_clusters_set_monitoring/4","title":"GoogleApi.Container.V1.Api.Projects.container_projects_locations_clusters_set_monitoring/4","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"Sets the monitoring service for a specific cluster. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server name (String.t): The name (project, location, cluster) of the cluster to set monitoring. Specified in the format &#39;projects//locations//clusters/*&#39;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (SetMonitoringServiceRequest): Returns {:ok, %GoogleApi.Container.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_locations_clusters_set_network_policy/4","title":"GoogleApi.Container.V1.Api.Projects.container_projects_locations_clusters_set_network_policy/4","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"Enables/Disables Network Policy for a cluster. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server name (String.t): The name (project, location, cluster id) of the cluster to set networking policy. Specified in the format &#39;projects//locations//clusters/*&#39;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (SetNetworkPolicyRequest): Returns {:ok, %GoogleApi.Container.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_locations_clusters_set_resource_labels/4","title":"GoogleApi.Container.V1.Api.Projects.container_projects_locations_clusters_set_resource_labels/4","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"Sets labels on a cluster. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server name (String.t): The name (project, location, cluster id) of the cluster to set labels. Specified in the format &#39;projects//locations//clusters/*&#39;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (SetLabelsRequest): Returns {:ok, %GoogleApi.Container.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_locations_clusters_start_ip_rotation/4","title":"GoogleApi.Container.V1.Api.Projects.container_projects_locations_clusters_start_ip_rotation/4","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"Start master IP rotation. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server name (String.t): The name (project, location, cluster id) of the cluster to start IP rotation. Specified in the format &#39;projects//locations//clusters/*&#39;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (StartIpRotationRequest): Returns {:ok, %GoogleApi.Container.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_locations_clusters_update_master/4","title":"GoogleApi.Container.V1.Api.Projects.container_projects_locations_clusters_update_master/4","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"Updates the master for a specific cluster. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server name (String.t): The name (project, location, cluster) of the cluster to update. Specified in the format &#39;projects//locations//clusters/*&#39;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (UpdateMasterRequest): Returns {:ok, %GoogleApi.Container.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_locations_clusters_well_known_get_openid_configuration/4","title":"GoogleApi.Container.V1.Api.Projects.container_projects_locations_clusters_well_known_get_openid_configuration/4","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"GetOpenIDConfig gets the OIDC discovery document for the cluster. See the OpenID Connect Discovery 1.0 specification for details. https://openid.net/specs/openid-connect-discovery-1_0.html This API is not yet intended for general use, and is not available for all clusters. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server parent (String.t): The cluster (project, location, cluster id) to get the discovery document for. Specified in the format &#39;projects//locations//clusters/*&#39;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). Returns {:ok, %GoogleApi.Container.V1.Model.GetOpenIdConfigResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_locations_get_server_config/4","title":"GoogleApi.Container.V1.Api.Projects.container_projects_locations_get_server_config/4","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"Returns configuration info about the Kubernetes Engine service. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server name (String.t): The name (project and location) of the server config to get, specified in the format &#39;projects//locations/&#39;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :projectId (String.t): Deprecated. The Google Developers Console project ID or project number. This field has been deprecated and replaced by the name field. :zone (String.t): Deprecated. The name of the Google Compute Engine zone to return operations for. This field has been deprecated and replaced by the name field. Returns {:ok, %GoogleApi.Container.V1.Model.ServerConfig{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_locations_operations_cancel/4","title":"GoogleApi.Container.V1.Api.Projects.container_projects_locations_operations_cancel/4","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"Cancels the specified operation. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server name (String.t): The name (project, location, operation id) of the operation to cancel. Specified in the format &#39;projects//locations//operations/*&#39;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (CancelOperationRequest): Returns {:ok, %GoogleApi.Container.V1.Model.Empty{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_locations_operations_get/4","title":"GoogleApi.Container.V1.Api.Projects.container_projects_locations_operations_get/4","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"Gets the specified operation. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server name (String.t): The name (project, location, operation id) of the operation to get. Specified in the format &#39;projects//locations//operations/*&#39;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :operationId (String.t): Deprecated. The server-assigned &#x60;name&#x60; of the operation. This field has been deprecated and replaced by the name field. :projectId (String.t): Deprecated. The Google Developers Console project ID or project number. This field has been deprecated and replaced by the name field. :zone (String.t): Deprecated. The name of the Google Compute Engine zone in which the cluster resides. This field has been deprecated and replaced by the name field. :zone (String.t): Deprecated. The name of the Google Compute Engine zone in which the cluster resides. This field has been deprecated and replaced by the name field. Returns {:ok, %GoogleApi.Container.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_locations_operations_list/4","title":"GoogleApi.Container.V1.Api.Projects.container_projects_locations_operations_list/4","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"Lists all operations in a project in a specific zone or all zones. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server parent (String.t): The parent (project and location) where the operations will be listed. Specified in the format &#39;projects//locations/&#39;. Location &quot;-&quot; matches all zones and all regions. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :projectId (String.t): Deprecated. The Google Developers Console project ID or project number. This field has been deprecated and replaced by the parent field. :zone (String.t): Deprecated. The name of the Google Compute Engine zone to return operations for, or &#x60;-&#x60; for all zones. This field has been deprecated and replaced by the parent field. Returns {:ok, %GoogleApi.Container.V1.Model.ListOperationsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_zones_clusters_addons/6","title":"GoogleApi.Container.V1.Api.Projects.container_projects_zones_clusters_addons/6","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"Sets the addons for a specific cluster. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server project_id (String.t): Deprecated. The Google Developers Console project ID or project number. This field has been deprecated and replaced by the name field. zone (String.t): Deprecated. The name of the Google Compute Engine zone in which the cluster resides. This field has been deprecated and replaced by the name field. cluster_id (String.t): Deprecated. The name of the cluster to upgrade. This field has been deprecated and replaced by the name field. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (SetAddonsConfigRequest): Returns {:ok, %GoogleApi.Container.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_zones_clusters_complete_ip_rotation/6","title":"GoogleApi.Container.V1.Api.Projects.container_projects_zones_clusters_complete_ip_rotation/6","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"Completes master IP rotation. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server project_id (String.t): Deprecated. The Google Developers Console project ID or project number. This field has been deprecated and replaced by the name field. zone (String.t): Deprecated. The name of the Google Compute Engine zone in which the cluster resides. This field has been deprecated and replaced by the name field. cluster_id (String.t): Deprecated. The name of the cluster. This field has been deprecated and replaced by the name field. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (CompleteIpRotationRequest): Returns {:ok, %GoogleApi.Container.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_zones_clusters_create/5","title":"GoogleApi.Container.V1.Api.Projects.container_projects_zones_clusters_create/5","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"Creates a cluster, consisting of the specified number and type of Google Compute Engine instances. By default, the cluster is created in the project&#39;s default network. One firewall is added for the cluster. After cluster creation, the cluster creates routes for each node to allow the containers on that node to communicate with all other instances in the cluster. Finally, an entry is added to the project&#39;s global metadata indicating which CIDR range is being used by the cluster. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server project_id (String.t): Deprecated. The Google Developers Console project ID or project number. This field has been deprecated and replaced by the parent field. zone (String.t): Deprecated. The name of the Google Compute Engine zone in which the cluster resides. This field has been deprecated and replaced by the parent field. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (CreateClusterRequest): Returns {:ok, %GoogleApi.Container.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_zones_clusters_delete/6","title":"GoogleApi.Container.V1.Api.Projects.container_projects_zones_clusters_delete/6","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"Deletes the cluster, including the Kubernetes endpoint and all worker nodes. Firewalls and routes that were configured during cluster creation are also deleted. Other Google Compute Engine resources that might be in use by the cluster (e.g. load balancer resources) will not be deleted if they weren&#39;t present at the initial create time. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server project_id (String.t): Deprecated. The Google Developers Console project ID or project number. This field has been deprecated and replaced by the name field. zone (String.t): Deprecated. The name of the Google Compute Engine zone in which the cluster resides. This field has been deprecated and replaced by the name field. cluster_id (String.t): Deprecated. The name of the cluster to delete. This field has been deprecated and replaced by the name field. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :name (String.t): The name (project, location, cluster) of the cluster to delete. Specified in the format &#39;projects//locations//clusters/*&#39;. Returns {:ok, %GoogleApi.Container.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_zones_clusters_get/6","title":"GoogleApi.Container.V1.Api.Projects.container_projects_zones_clusters_get/6","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"Gets the details of a specific cluster. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server project_id (String.t): Deprecated. The Google Developers Console project ID or project number. This field has been deprecated and replaced by the name field. zone (String.t): Deprecated. The name of the Google Compute Engine zone in which the cluster resides. This field has been deprecated and replaced by the name field. cluster_id (String.t): Deprecated. The name of the cluster to retrieve. This field has been deprecated and replaced by the name field. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :name (String.t): The name (project, location, cluster) of the cluster to retrieve. Specified in the format &#39;projects//locations//clusters/*&#39;. Returns {:ok, %GoogleApi.Container.V1.Model.Cluster{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_zones_clusters_legacy_abac/6","title":"GoogleApi.Container.V1.Api.Projects.container_projects_zones_clusters_legacy_abac/6","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"Enables or disables the ABAC authorization mechanism on a cluster. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server project_id (String.t): Deprecated. The Google Developers Console project ID or project number. This field has been deprecated and replaced by the name field. zone (String.t): Deprecated. The name of the Google Compute Engine zone in which the cluster resides. This field has been deprecated and replaced by the name field. cluster_id (String.t): Deprecated. The name of the cluster to update. This field has been deprecated and replaced by the name field. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (SetLegacyAbacRequest): Returns {:ok, %GoogleApi.Container.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_zones_clusters_list/5","title":"GoogleApi.Container.V1.Api.Projects.container_projects_zones_clusters_list/5","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"Lists all clusters owned by a project in either the specified zone or all zones. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server project_id (String.t): Deprecated. The Google Developers Console project ID or project number. This field has been deprecated and replaced by the parent field. zone (String.t): Deprecated. The name of the Google Compute Engine zone in which the cluster resides, or &quot;-&quot; for all zones. This field has been deprecated and replaced by the parent field. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :parent (String.t): The parent (project and location) where the clusters will be listed. Specified in the format &#39;projects//locations/&#39;. Location &quot;-&quot; matches all zones and all regions. Returns {:ok, %GoogleApi.Container.V1.Model.ListClustersResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_zones_clusters_locations/6","title":"GoogleApi.Container.V1.Api.Projects.container_projects_zones_clusters_locations/6","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"Sets the locations for a specific cluster. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server project_id (String.t): Deprecated. The Google Developers Console project ID or project number. This field has been deprecated and replaced by the name field. zone (String.t): Deprecated. The name of the Google Compute Engine zone in which the cluster resides. This field has been deprecated and replaced by the name field. cluster_id (String.t): Deprecated. The name of the cluster to upgrade. This field has been deprecated and replaced by the name field. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (SetLocationsRequest): Returns {:ok, %GoogleApi.Container.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_zones_clusters_logging/6","title":"GoogleApi.Container.V1.Api.Projects.container_projects_zones_clusters_logging/6","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"Sets the logging service for a specific cluster. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server project_id (String.t): Deprecated. The Google Developers Console project ID or project number. This field has been deprecated and replaced by the name field. zone (String.t): Deprecated. The name of the Google Compute Engine zone in which the cluster resides. This field has been deprecated and replaced by the name field. cluster_id (String.t): Deprecated. The name of the cluster to upgrade. This field has been deprecated and replaced by the name field. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (SetLoggingServiceRequest): Returns {:ok, %GoogleApi.Container.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_zones_clusters_master/6","title":"GoogleApi.Container.V1.Api.Projects.container_projects_zones_clusters_master/6","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"Updates the master for a specific cluster. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server project_id (String.t): Deprecated. The Google Developers Console project ID or project number. This field has been deprecated and replaced by the name field. zone (String.t): Deprecated. The name of the Google Compute Engine zone in which the cluster resides. This field has been deprecated and replaced by the name field. cluster_id (String.t): Deprecated. The name of the cluster to upgrade. This field has been deprecated and replaced by the name field. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (UpdateMasterRequest): Returns {:ok, %GoogleApi.Container.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_zones_clusters_monitoring/6","title":"GoogleApi.Container.V1.Api.Projects.container_projects_zones_clusters_monitoring/6","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"Sets the monitoring service for a specific cluster. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server project_id (String.t): Deprecated. The Google Developers Console project ID or project number. This field has been deprecated and replaced by the name field. zone (String.t): Deprecated. The name of the Google Compute Engine zone in which the cluster resides. This field has been deprecated and replaced by the name field. cluster_id (String.t): Deprecated. The name of the cluster to upgrade. This field has been deprecated and replaced by the name field. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (SetMonitoringServiceRequest): Returns {:ok, %GoogleApi.Container.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_zones_clusters_node_pools_autoscaling/7","title":"GoogleApi.Container.V1.Api.Projects.container_projects_zones_clusters_node_pools_autoscaling/7","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"Sets the autoscaling settings for a specific node pool. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server project_id (String.t): Deprecated. The Google Developers Console project ID or project number. This field has been deprecated and replaced by the name field. zone (String.t): Deprecated. The name of the Google Compute Engine zone in which the cluster resides. This field has been deprecated and replaced by the name field. cluster_id (String.t): Deprecated. The name of the cluster to upgrade. This field has been deprecated and replaced by the name field. node_pool_id (String.t): Deprecated. The name of the node pool to upgrade. This field has been deprecated and replaced by the name field. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (SetNodePoolAutoscalingRequest): Returns {:ok, %GoogleApi.Container.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_zones_clusters_node_pools_create/6","title":"GoogleApi.Container.V1.Api.Projects.container_projects_zones_clusters_node_pools_create/6","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"Creates a node pool for a cluster. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server project_id (String.t): Deprecated. The Google Developers Console project ID or project number. This field has been deprecated and replaced by the parent field. zone (String.t): Deprecated. The name of the Google Compute Engine zone in which the cluster resides. This field has been deprecated and replaced by the parent field. cluster_id (String.t): Deprecated. The name of the cluster. This field has been deprecated and replaced by the parent field. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (CreateNodePoolRequest): Returns {:ok, %GoogleApi.Container.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_zones_clusters_node_pools_delete/7","title":"GoogleApi.Container.V1.Api.Projects.container_projects_zones_clusters_node_pools_delete/7","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"Deletes a node pool from a cluster. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server project_id (String.t): Deprecated. The Google Developers Console project ID or project number. This field has been deprecated and replaced by the name field. zone (String.t): Deprecated. The name of the Google Compute Engine zone in which the cluster resides. This field has been deprecated and replaced by the name field. cluster_id (String.t): Deprecated. The name of the cluster. This field has been deprecated and replaced by the name field. node_pool_id (String.t): Deprecated. The name of the node pool to delete. This field has been deprecated and replaced by the name field. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :name (String.t): The name (project, location, cluster, node pool id) of the node pool to delete. Specified in the format &#39;projects//locations//clusters//nodePools/&#39;. Returns {:ok, %GoogleApi.Container.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_zones_clusters_node_pools_get/7","title":"GoogleApi.Container.V1.Api.Projects.container_projects_zones_clusters_node_pools_get/7","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"Retrieves the node pool requested. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server project_id (String.t): Deprecated. The Google Developers Console project ID or project number. This field has been deprecated and replaced by the name field. zone (String.t): Deprecated. The name of the Google Compute Engine zone in which the cluster resides. This field has been deprecated and replaced by the name field. cluster_id (String.t): Deprecated. The name of the cluster. This field has been deprecated and replaced by the name field. node_pool_id (String.t): Deprecated. The name of the node pool. This field has been deprecated and replaced by the name field. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :name (String.t): The name (project, location, cluster, node pool id) of the node pool to get. Specified in the format &#39;projects//locations//clusters//nodePools/&#39;. Returns {:ok, %GoogleApi.Container.V1.Model.NodePool{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_zones_clusters_node_pools_list/6","title":"GoogleApi.Container.V1.Api.Projects.container_projects_zones_clusters_node_pools_list/6","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"Lists the node pools for a cluster. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server project_id (String.t): Deprecated. The Google Developers Console project ID or project number. This field has been deprecated and replaced by the parent field. zone (String.t): Deprecated. The name of the Google Compute Engine zone in which the cluster resides. This field has been deprecated and replaced by the parent field. cluster_id (String.t): Deprecated. The name of the cluster. This field has been deprecated and replaced by the parent field. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :parent (String.t): The parent (project, location, cluster id) where the node pools will be listed. Specified in the format &#39;projects//locations//clusters/*&#39;. Returns {:ok, %GoogleApi.Container.V1.Model.ListNodePoolsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_zones_clusters_node_pools_rollback/7","title":"GoogleApi.Container.V1.Api.Projects.container_projects_zones_clusters_node_pools_rollback/7","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"Roll back the previously Aborted or Failed NodePool upgrade. This will be an no-op if the last upgrade successfully completed. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server project_id (String.t): Deprecated. The Google Developers Console project ID or project number. This field has been deprecated and replaced by the name field. zone (String.t): Deprecated. The name of the Google Compute Engine zone in which the cluster resides. This field has been deprecated and replaced by the name field. cluster_id (String.t): Deprecated. The name of the cluster to rollback. This field has been deprecated and replaced by the name field. node_pool_id (String.t): Deprecated. The name of the node pool to rollback. This field has been deprecated and replaced by the name field. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (RollbackNodePoolUpgradeRequest): Returns {:ok, %GoogleApi.Container.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_zones_clusters_node_pools_set_management/7","title":"GoogleApi.Container.V1.Api.Projects.container_projects_zones_clusters_node_pools_set_management/7","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"Sets the NodeManagement options for a node pool. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server project_id (String.t): Deprecated. The Google Developers Console project ID or project number. This field has been deprecated and replaced by the name field. zone (String.t): Deprecated. The name of the Google Compute Engine zone in which the cluster resides. This field has been deprecated and replaced by the name field. cluster_id (String.t): Deprecated. The name of the cluster to update. This field has been deprecated and replaced by the name field. node_pool_id (String.t): Deprecated. The name of the node pool to update. This field has been deprecated and replaced by the name field. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (SetNodePoolManagementRequest): Returns {:ok, %GoogleApi.Container.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_zones_clusters_node_pools_set_size/7","title":"GoogleApi.Container.V1.Api.Projects.container_projects_zones_clusters_node_pools_set_size/7","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"Sets the size for a specific node pool. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server project_id (String.t): Deprecated. The Google Developers Console project ID or project number. This field has been deprecated and replaced by the name field. zone (String.t): Deprecated. The name of the Google Compute Engine zone in which the cluster resides. This field has been deprecated and replaced by the name field. cluster_id (String.t): Deprecated. The name of the cluster to update. This field has been deprecated and replaced by the name field. node_pool_id (String.t): Deprecated. The name of the node pool to update. This field has been deprecated and replaced by the name field. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (SetNodePoolSizeRequest): Returns {:ok, %GoogleApi.Container.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_zones_clusters_node_pools_update/7","title":"GoogleApi.Container.V1.Api.Projects.container_projects_zones_clusters_node_pools_update/7","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"Updates the version and/or image type for a specific node pool. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server project_id (String.t): Deprecated. The Google Developers Console project ID or project number. This field has been deprecated and replaced by the name field. zone (String.t): Deprecated. The name of the Google Compute Engine zone in which the cluster resides. This field has been deprecated and replaced by the name field. cluster_id (String.t): Deprecated. The name of the cluster to upgrade. This field has been deprecated and replaced by the name field. node_pool_id (String.t): Deprecated. The name of the node pool to upgrade. This field has been deprecated and replaced by the name field. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (UpdateNodePoolRequest): Returns {:ok, %GoogleApi.Container.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_zones_clusters_resource_labels/6","title":"GoogleApi.Container.V1.Api.Projects.container_projects_zones_clusters_resource_labels/6","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"Sets labels on a cluster. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server project_id (String.t): Deprecated. The Google Developers Console project ID or project number. This field has been deprecated and replaced by the name field. zone (String.t): Deprecated. The name of the Google Compute Engine zone in which the cluster resides. This field has been deprecated and replaced by the name field. cluster_id (String.t): Deprecated. The name of the cluster. This field has been deprecated and replaced by the name field. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (SetLabelsRequest): Returns {:ok, %GoogleApi.Container.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_zones_clusters_set_maintenance_policy/6","title":"GoogleApi.Container.V1.Api.Projects.container_projects_zones_clusters_set_maintenance_policy/6","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"Sets the maintenance policy for a cluster. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server project_id (String.t): The Google Developers Console project ID or project number. zone (String.t): The name of the Google Compute Engine zone in which the cluster resides. cluster_id (String.t): The name of the cluster to update. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (SetMaintenancePolicyRequest): Returns {:ok, %GoogleApi.Container.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_zones_clusters_set_master_auth/6","title":"GoogleApi.Container.V1.Api.Projects.container_projects_zones_clusters_set_master_auth/6","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"Used to set master auth materials. Currently supports :- Changing the admin password for a specific cluster. This can be either via password generation or explicitly set the password. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server project_id (String.t): Deprecated. The Google Developers Console project ID or project number. This field has been deprecated and replaced by the name field. zone (String.t): Deprecated. The name of the Google Compute Engine zone in which the cluster resides. This field has been deprecated and replaced by the name field. cluster_id (String.t): Deprecated. The name of the cluster to upgrade. This field has been deprecated and replaced by the name field. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (SetMasterAuthRequest): Returns {:ok, %GoogleApi.Container.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_zones_clusters_set_network_policy/6","title":"GoogleApi.Container.V1.Api.Projects.container_projects_zones_clusters_set_network_policy/6","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"Enables/Disables Network Policy for a cluster. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server project_id (String.t): Deprecated. The Google Developers Console project ID or project number. This field has been deprecated and replaced by the name field. zone (String.t): Deprecated. The name of the Google Compute Engine zone in which the cluster resides. This field has been deprecated and replaced by the name field. cluster_id (String.t): Deprecated. The name of the cluster. This field has been deprecated and replaced by the name field. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (SetNetworkPolicyRequest): Returns {:ok, %GoogleApi.Container.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_zones_clusters_start_ip_rotation/6","title":"GoogleApi.Container.V1.Api.Projects.container_projects_zones_clusters_start_ip_rotation/6","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"Start master IP rotation. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server project_id (String.t): Deprecated. The Google Developers Console project ID or project number. This field has been deprecated and replaced by the name field. zone (String.t): Deprecated. The name of the Google Compute Engine zone in which the cluster resides. This field has been deprecated and replaced by the name field. cluster_id (String.t): Deprecated. The name of the cluster. This field has been deprecated and replaced by the name field. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (StartIpRotationRequest): Returns {:ok, %GoogleApi.Container.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_zones_clusters_update/6","title":"GoogleApi.Container.V1.Api.Projects.container_projects_zones_clusters_update/6","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"Updates the settings of a specific cluster. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server project_id (String.t): Deprecated. The Google Developers Console project ID or project number. This field has been deprecated and replaced by the name field. zone (String.t): Deprecated. The name of the Google Compute Engine zone in which the cluster resides. This field has been deprecated and replaced by the name field. cluster_id (String.t): Deprecated. The name of the cluster to upgrade. This field has been deprecated and replaced by the name field. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (UpdateClusterRequest): Returns {:ok, %GoogleApi.Container.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_zones_get_serverconfig/5","title":"GoogleApi.Container.V1.Api.Projects.container_projects_zones_get_serverconfig/5","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"Returns configuration info about the Kubernetes Engine service. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server project_id (String.t): Deprecated. The Google Developers Console project ID or project number. This field has been deprecated and replaced by the name field. zone (String.t): Deprecated. The name of the Google Compute Engine zone to return operations for. This field has been deprecated and replaced by the name field. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :name (String.t): The name (project and location) of the server config to get, specified in the format &#39;projects//locations/&#39;. Returns {:ok, %GoogleApi.Container.V1.Model.ServerConfig{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_zones_operations_cancel/6","title":"GoogleApi.Container.V1.Api.Projects.container_projects_zones_operations_cancel/6","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"Cancels the specified operation. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server project_id (String.t): Deprecated. The Google Developers Console project ID or project number. This field has been deprecated and replaced by the name field. zone (String.t): Deprecated. The name of the Google Compute Engine zone in which the operation resides. This field has been deprecated and replaced by the name field. operation_id (String.t): Deprecated. The server-assigned &#x60;name&#x60; of the operation. This field has been deprecated and replaced by the name field. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (CancelOperationRequest): Returns {:ok, %GoogleApi.Container.V1.Model.Empty{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_zones_operations_get/6","title":"GoogleApi.Container.V1.Api.Projects.container_projects_zones_operations_get/6","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"Gets the specified operation. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server project_id (String.t): Deprecated. The Google Developers Console project ID or project number. This field has been deprecated and replaced by the name field. zone (String.t): Deprecated. The name of the Google Compute Engine zone in which the cluster resides. This field has been deprecated and replaced by the name field. operation_id (String.t): Deprecated. The server-assigned &#x60;name&#x60; of the operation. This field has been deprecated and replaced by the name field. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :name (String.t): The name (project, location, operation id) of the operation to get. Specified in the format &#39;projects//locations//operations/*&#39;. Returns {:ok, %GoogleApi.Container.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Api.Projects.html#container_projects_zones_operations_list/5","title":"GoogleApi.Container.V1.Api.Projects.container_projects_zones_operations_list/5","module":"GoogleApi.Container.V1.Api.Projects","type":"function","doc":"Lists all operations in a project in a specific zone or all zones. Parameters connection (GoogleApi.Container.V1.Connection): Connection to server project_id (String.t): Deprecated. The Google Developers Console project ID or project number. This field has been deprecated and replaced by the parent field. zone (String.t): Deprecated. The name of the Google Compute Engine zone to return operations for, or &#x60;-&#x60; for all zones. This field has been deprecated and replaced by the parent field. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :parent (String.t): The parent (project and location) where the operations will be listed. Specified in the format &#39;projects//locations/&#39;. Location &quot;-&quot; matches all zones and all regions. Returns {:ok, %GoogleApi.Container.V1.Model.ListOperationsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Container.V1.Connection.html","title":"GoogleApi.Container.V1.Connection","module":"GoogleApi.Container.V1.Connection","type":"module","doc":"Handle Tesla connections for GoogleApi.Container.V1."},{"ref":"GoogleApi.Container.V1.Connection.html#delete/3","title":"GoogleApi.Container.V1.Connection.delete/3","module":"GoogleApi.Container.V1.Connection","type":"function","doc":"Perform a DELETE request. See request/1 or request/2 for options definition. delete(&quot;/users&quot;) delete(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete(client, &quot;/users&quot;) delete(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Container.V1.Connection.html#delete!/3","title":"GoogleApi.Container.V1.Connection.delete!/3","module":"GoogleApi.Container.V1.Connection","type":"function","doc":"Perform a DELETE request. See request!/1 or request!/2 for options definition. delete!(&quot;/users&quot;) delete!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete!(client, &quot;/users&quot;) delete!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Container.V1.Connection.html#execute/2","title":"GoogleApi.Container.V1.Connection.execute/2","module":"GoogleApi.Container.V1.Connection","type":"function","doc":"Execute a request on this connection Returns Tesla.Env"},{"ref":"GoogleApi.Container.V1.Connection.html#get/3","title":"GoogleApi.Container.V1.Connection.get/3","module":"GoogleApi.Container.V1.Connection","type":"function","doc":"Perform a GET request. See request/1 or request/2 for options definition. get(&quot;/users&quot;) get(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get(client, &quot;/users&quot;) get(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Container.V1.Connection.html#get!/3","title":"GoogleApi.Container.V1.Connection.get!/3","module":"GoogleApi.Container.V1.Connection","type":"function","doc":"Perform a GET request. See request!/1 or request!/2 for options definition. get!(&quot;/users&quot;) get!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get!(client, &quot;/users&quot;) get!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Container.V1.Connection.html#head/3","title":"GoogleApi.Container.V1.Connection.head/3","module":"GoogleApi.Container.V1.Connection","type":"function","doc":"Perform a HEAD request. See request/1 or request/2 for options definition. head(&quot;/users&quot;) head(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head(client, &quot;/users&quot;) head(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Container.V1.Connection.html#head!/3","title":"GoogleApi.Container.V1.Connection.head!/3","module":"GoogleApi.Container.V1.Connection","type":"function","doc":"Perform a HEAD request. See request!/1 or request!/2 for options definition. head!(&quot;/users&quot;) head!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head!(client, &quot;/users&quot;) head!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Container.V1.Connection.html#new/0","title":"GoogleApi.Container.V1.Connection.new/0","module":"GoogleApi.Container.V1.Connection","type":"function","doc":"Configure an authless client connection Returns Tesla.Client.t"},{"ref":"GoogleApi.Container.V1.Connection.html#new/1","title":"GoogleApi.Container.V1.Connection.new/1","module":"GoogleApi.Container.V1.Connection","type":"function","doc":"Configure a client connection using a function which yields a Bearer token. Parameters token_fetcher (function arity of 1): Callback which provides an OAuth2 token given a list of scopes Returns Tesla.Env.client"},{"ref":"GoogleApi.Container.V1.Connection.html#options/3","title":"GoogleApi.Container.V1.Connection.options/3","module":"GoogleApi.Container.V1.Connection","type":"function","doc":"Perform a OPTIONS request. See request/1 or request/2 for options definition. options(&quot;/users&quot;) options(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options(client, &quot;/users&quot;) options(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Container.V1.Connection.html#options!/3","title":"GoogleApi.Container.V1.Connection.options!/3","module":"GoogleApi.Container.V1.Connection","type":"function","doc":"Perform a OPTIONS request. See request!/1 or request!/2 for options definition. options!(&quot;/users&quot;) options!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options!(client, &quot;/users&quot;) options!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Container.V1.Connection.html#patch/4","title":"GoogleApi.Container.V1.Connection.patch/4","module":"GoogleApi.Container.V1.Connection","type":"function","doc":"Perform a PATCH request. See request/1 or request/2 for options definition. patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Container.V1.Connection.html#patch!/4","title":"GoogleApi.Container.V1.Connection.patch!/4","module":"GoogleApi.Container.V1.Connection","type":"function","doc":"Perform a PATCH request. See request!/1 or request!/2 for options definition. patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Container.V1.Connection.html#post/4","title":"GoogleApi.Container.V1.Connection.post/4","module":"GoogleApi.Container.V1.Connection","type":"function","doc":"Perform a POST request. See request/1 or request/2 for options definition. post(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Container.V1.Connection.html#post!/4","title":"GoogleApi.Container.V1.Connection.post!/4","module":"GoogleApi.Container.V1.Connection","type":"function","doc":"Perform a POST request. See request!/1 or request!/2 for options definition. post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Container.V1.Connection.html#put/4","title":"GoogleApi.Container.V1.Connection.put/4","module":"GoogleApi.Container.V1.Connection","type":"function","doc":"Perform a PUT request. See request/1 or request/2 for options definition. put(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Container.V1.Connection.html#put!/4","title":"GoogleApi.Container.V1.Connection.put!/4","module":"GoogleApi.Container.V1.Connection","type":"function","doc":"Perform a PUT request. See request!/1 or request!/2 for options definition. put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Container.V1.Connection.html#request/2","title":"GoogleApi.Container.V1.Connection.request/2","module":"GoogleApi.Container.V1.Connection","type":"function","doc":"Perform a request Options: :method - the request method, one of [:head, :get, :delete, :trace, :options, :post, :put, :patch] :url - either full url e.g. &quot;http://example.com/some/path&quot; or just &quot;/some/path&quot; if using Tesla.Middleware.BaseUrl :query - a keyword list of query params, e.g. [page: 1, per_page: 100] :headers - a keyworld list of headers, e.g. [{&quot;content-type&quot;, &quot;text/plain&quot;}] :body - depends on used middleware: by default it can be a binary if using e.g. JSON encoding middleware it can be a nested map if adapter supports it it can be a Stream with any of the above :opts - custom, per-request middleware or adapter options Examples: ExampleApi.request(method: :get, url: &quot;/users/path&quot;) You can also use shortcut methods like: ExampleApi.get(&quot;/users/1&quot;) or ExampleApi.post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;})"},{"ref":"GoogleApi.Container.V1.Connection.html#request!/2","title":"GoogleApi.Container.V1.Connection.request!/2","module":"GoogleApi.Container.V1.Connection","type":"function","doc":"Perform request and raise in case of error. This is similar to request/2 behaviour from Tesla 0.x See request/2 for list of available options."},{"ref":"GoogleApi.Container.V1.Connection.html#trace/3","title":"GoogleApi.Container.V1.Connection.trace/3","module":"GoogleApi.Container.V1.Connection","type":"function","doc":"Perform a TRACE request. See request/1 or request/2 for options definition. trace(&quot;/users&quot;) trace(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace(client, &quot;/users&quot;) trace(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Container.V1.Connection.html#trace!/3","title":"GoogleApi.Container.V1.Connection.trace!/3","module":"GoogleApi.Container.V1.Connection","type":"function","doc":"Perform a TRACE request. See request!/1 or request!/2 for options definition. trace!(&quot;/users&quot;) trace!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace!(client, &quot;/users&quot;) trace!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Container.V1.Connection.html#t:option/0","title":"GoogleApi.Container.V1.Connection.option/0","module":"GoogleApi.Container.V1.Connection","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Deserializer.html","title":"GoogleApi.Container.V1.Deserializer","module":"GoogleApi.Container.V1.Deserializer","type":"module","doc":"Helper functions for deserializing responses into models. This module is no longer used. Please use GoogleApi.Gax.ModelBase instead."},{"ref":"GoogleApi.Container.V1.Model.AcceleratorConfig.html","title":"GoogleApi.Container.V1.Model.AcceleratorConfig","module":"GoogleApi.Container.V1.Model.AcceleratorConfig","type":"module","doc":"AcceleratorConfig represents a Hardware Accelerator request. Attributes acceleratorCount (String.t): The number of the accelerator cards exposed to an instance. Defaults to: null. acceleratorType (String.t): The accelerator type resource name. List of supported accelerators here Defaults to: null."},{"ref":"GoogleApi.Container.V1.Model.AcceleratorConfig.html#decode/2","title":"GoogleApi.Container.V1.Model.AcceleratorConfig.decode/2","module":"GoogleApi.Container.V1.Model.AcceleratorConfig","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.AcceleratorConfig.html#t:t/0","title":"GoogleApi.Container.V1.Model.AcceleratorConfig.t/0","module":"GoogleApi.Container.V1.Model.AcceleratorConfig","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Model.AddonsConfig.html","title":"GoogleApi.Container.V1.Model.AddonsConfig","module":"GoogleApi.Container.V1.Model.AddonsConfig","type":"module","doc":"Configuration for the addons that can be automatically spun up in the cluster, enabling additional functionality. Attributes horizontalPodAutoscaling (HorizontalPodAutoscaling): Configuration for the horizontal pod autoscaling feature, which increases or decreases the number of replica pods a replication controller has based on the resource usage of the existing pods. Defaults to: null. httpLoadBalancing (HttpLoadBalancing): Configuration for the HTTP (L7) load balancing controller addon, which makes it easy to set up HTTP load balancers for services in a cluster. Defaults to: null. kubernetesDashboard (KubernetesDashboard): Configuration for the Kubernetes Dashboard. Defaults to: null. networkPolicyConfig (NetworkPolicyConfig): Configuration for NetworkPolicy. This only tracks whether the addon is enabled or not on the Master, it does not track whether network policy is enabled for the nodes. Defaults to: null."},{"ref":"GoogleApi.Container.V1.Model.AddonsConfig.html#decode/2","title":"GoogleApi.Container.V1.Model.AddonsConfig.decode/2","module":"GoogleApi.Container.V1.Model.AddonsConfig","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.AddonsConfig.html#t:t/0","title":"GoogleApi.Container.V1.Model.AddonsConfig.t/0","module":"GoogleApi.Container.V1.Model.AddonsConfig","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Model.AutoUpgradeOptions.html","title":"GoogleApi.Container.V1.Model.AutoUpgradeOptions","module":"GoogleApi.Container.V1.Model.AutoUpgradeOptions","type":"module","doc":"AutoUpgradeOptions defines the set of options for the user to control how the Auto Upgrades will proceed. Attributes autoUpgradeStartTime (String.t): [Output only] This field is set when upgrades are about to commence with the approximate start time for the upgrades, in RFC3339 text format. Defaults to: null. description (String.t): [Output only] This field is set when upgrades are about to commence with the description of the upgrade. Defaults to: null."},{"ref":"GoogleApi.Container.V1.Model.AutoUpgradeOptions.html#decode/2","title":"GoogleApi.Container.V1.Model.AutoUpgradeOptions.decode/2","module":"GoogleApi.Container.V1.Model.AutoUpgradeOptions","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.AutoUpgradeOptions.html#t:t/0","title":"GoogleApi.Container.V1.Model.AutoUpgradeOptions.t/0","module":"GoogleApi.Container.V1.Model.AutoUpgradeOptions","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Model.CancelOperationRequest.html","title":"GoogleApi.Container.V1.Model.CancelOperationRequest","module":"GoogleApi.Container.V1.Model.CancelOperationRequest","type":"module","doc":"CancelOperationRequest cancels a single operation. Attributes name (String.t): The name (project, location, operation id) of the operation to cancel. Specified in the format &#39;projects//locations//operations/*&#39;. Defaults to: null. operationId (String.t): Deprecated. The server-assigned &#x60;name&#x60; of the operation. This field has been deprecated and replaced by the name field. Defaults to: null. projectId (String.t): Deprecated. The Google Developers Console project ID or project number. This field has been deprecated and replaced by the name field. Defaults to: null. zone (String.t): Deprecated. The name of the Google Compute Engine zone in which the operation resides. This field has been deprecated and replaced by the name field. Defaults to: null."},{"ref":"GoogleApi.Container.V1.Model.CancelOperationRequest.html#decode/2","title":"GoogleApi.Container.V1.Model.CancelOperationRequest.decode/2","module":"GoogleApi.Container.V1.Model.CancelOperationRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.CancelOperationRequest.html#t:t/0","title":"GoogleApi.Container.V1.Model.CancelOperationRequest.t/0","module":"GoogleApi.Container.V1.Model.CancelOperationRequest","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Model.CidrBlock.html","title":"GoogleApi.Container.V1.Model.CidrBlock","module":"GoogleApi.Container.V1.Model.CidrBlock","type":"module","doc":"CidrBlock contains an optional name and one CIDR block. Attributes cidrBlock (String.t): cidr_block must be specified in CIDR notation. Defaults to: null. displayName (String.t): display_name is an optional field for users to identify CIDR blocks. Defaults to: null."},{"ref":"GoogleApi.Container.V1.Model.CidrBlock.html#decode/2","title":"GoogleApi.Container.V1.Model.CidrBlock.decode/2","module":"GoogleApi.Container.V1.Model.CidrBlock","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.CidrBlock.html#t:t/0","title":"GoogleApi.Container.V1.Model.CidrBlock.t/0","module":"GoogleApi.Container.V1.Model.CidrBlock","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Model.ClientCertificateConfig.html","title":"GoogleApi.Container.V1.Model.ClientCertificateConfig","module":"GoogleApi.Container.V1.Model.ClientCertificateConfig","type":"module","doc":"Configuration for client certificates on the cluster. Attributes issueClientCertificate (boolean()): Issue a client certificate. Defaults to: null."},{"ref":"GoogleApi.Container.V1.Model.ClientCertificateConfig.html#decode/2","title":"GoogleApi.Container.V1.Model.ClientCertificateConfig.decode/2","module":"GoogleApi.Container.V1.Model.ClientCertificateConfig","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.ClientCertificateConfig.html#t:t/0","title":"GoogleApi.Container.V1.Model.ClientCertificateConfig.t/0","module":"GoogleApi.Container.V1.Model.ClientCertificateConfig","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Model.Cluster.html","title":"GoogleApi.Container.V1.Model.Cluster","module":"GoogleApi.Container.V1.Model.Cluster","type":"module","doc":"A Google Kubernetes Engine cluster. Attributes addonsConfig (AddonsConfig): Configurations for the various addons available to run in the cluster. Defaults to: null. clusterIpv4Cidr (String.t): The IP address range of the container pods in this cluster, in CIDR notation (e.g. &#x60;10.96.0.0/14&#x60;). Leave blank to have one automatically chosen or specify a &#x60;/14&#x60; block in &#x60;10.0.0.0/8&#x60;. Defaults to: null. conditions ([StatusCondition]): Which conditions caused the current cluster state. Defaults to: null. createTime (String.t): [Output only] The time the cluster was created, in RFC3339 text format. Defaults to: null. currentMasterVersion (String.t): [Output only] The current software version of the master endpoint. Defaults to: null. currentNodeCount (integer()): [Output only] The number of nodes currently in the cluster. Deprecated. Call Kubernetes API directly to retrieve node information. Defaults to: null. currentNodeVersion (String.t): [Output only] Deprecated, use NodePool.version instead. The current version of the node software components. If they are currently at multiple versions because they&#39;re in the process of being upgraded, this reflects the minimum version of all nodes. Defaults to: null. description (String.t): An optional description of this cluster. Defaults to: null. enableKubernetesAlpha (boolean()): Kubernetes alpha features are enabled on this cluster. This includes alpha API groups (e.g. v1alpha1) and features that may not be production ready in the kubernetes version of the master and nodes. The cluster has no SLA for uptime and master/node upgrades are disabled. Alpha enabled clusters are automatically deleted thirty days after creation. Defaults to: null. enableTpu (boolean()): Enable the ability to use Cloud TPUs in this cluster. Defaults to: null. endpoint (String.t): [Output only] The IP address of this cluster&#39;s master endpoint. The endpoint can be accessed from the internet at &#x60;https://username:password@endpoint/&#x60;. See the &#x60;masterAuth&#x60; property of this resource for username and password information. Defaults to: null. expireTime (String.t): [Output only] The time the cluster will be automatically deleted in RFC3339 text format. Defaults to: null. initialClusterVersion (String.t): The initial Kubernetes version for this cluster. Valid versions are those found in validMasterVersions returned by getServerConfig. The version can be upgraded over time; such upgrades are reflected in currentMasterVersion and currentNodeVersion. Users may specify either explicit versions offered by Kubernetes Engine or version aliases, which have the following behavior: - &quot;latest&quot;: picks the highest valid Kubernetes version - &quot;1.X&quot;: picks the highest valid patch+gke.N patch in the 1.X version - &quot;1.X.Y&quot;: picks the highest valid gke.N patch in the 1.X.Y version - &quot;1.X.Y-gke.N&quot;: picks an explicit Kubernetes version - &quot;&quot;,&quot;-&quot;: picks the default Kubernetes version Defaults to: null. initialNodeCount (integer()): The number of nodes to create in this cluster. You must ensure that your Compute Engine &lt;a href&#x3D;&quot;/compute/docs/resource-quotas&quot;&gt;resource quota&lt;/a&gt; is sufficient for this number of instances. You must also have available firewall and routes quota. For requests, this field should only be used in lieu of a &quot;node_pool&quot; object, since this configuration (along with the &quot;node_config&quot;) will be used to create a &quot;NodePool&quot; object with an auto-generated name. Do not use this and a node_pool at the same time. Defaults to: null. instanceGroupUrls ([String.t]): Deprecated. Use node_pools.instance_group_urls. Defaults to: null. ipAllocationPolicy (IpAllocationPolicy): Configuration for cluster IP allocation. Defaults to: null. labelFingerprint (String.t): The fingerprint of the set of labels for this cluster. Defaults to: null. legacyAbac (LegacyAbac): Configuration for the legacy ABAC authorization mode. Defaults to: null. location (String.t): [Output only] The name of the Google Compute Engine zone or region in which the cluster resides. Defaults to: null. locations ([String.t]): The list of Google Compute Engine zones in which the cluster&#39;s nodes should be located. Defaults to: null. loggingService (String.t): The logging service the cluster should use to write logs. Currently available options: &#x60;logging.googleapis.com&#x60; - the Google Cloud Logging service. &#x60;none&#x60; - no logs will be exported from the cluster. * if left as an empty string,&#x60;logging.googleapis.com&#x60; will be used. Defaults to: null. maintenancePolicy (MaintenancePolicy): Configure the maintenance policy for this cluster. Defaults to: null. masterAuth (MasterAuth): The authentication information for accessing the master endpoint. If unspecified, the defaults are used: For clusters before v1.12, if master_auth is unspecified, &#x60;username&#x60; will be set to &quot;admin&quot;, a random password will be generated, and a client certificate will be issued. Defaults to: null. masterAuthorizedNetworksConfig (MasterAuthorizedNetworksConfig): The configuration options for master authorized networks feature. Defaults to: null. monitoringService (String.t): The monitoring service the cluster should use to write metrics. Currently available options: &#x60;monitoring.googleapis.com&#x60; - the Google Cloud Monitoring service. &#x60;none&#x60; - no metrics will be exported from the cluster. * if left as an empty string, &#x60;monitoring.googleapis.com&#x60; will be used. Defaults to: null. name (String.t): The name of this cluster. The name must be unique within this project and zone, and can be up to 40 characters with the following restrictions: Lowercase letters, numbers, and hyphens only. Must start with a letter. * Must end with a number or a letter. Defaults to: null. network (String.t): The name of the Google Compute Engine network to which the cluster is connected. If left unspecified, the &#x60;default&#x60; network will be used. Defaults to: null. networkConfig (NetworkConfig): Configuration for cluster networking. Defaults to: null. networkPolicy (NetworkPolicy): Configuration options for the NetworkPolicy feature. Defaults to: null. nodeConfig (NodeConfig): Parameters used in creating the cluster&#39;s nodes. See &#x60;nodeConfig&#x60; for the description of its properties. For requests, this field should only be used in lieu of a &quot;node_pool&quot; object, since this configuration (along with the &quot;initial_node_count&quot;) will be used to create a &quot;NodePool&quot; object with an auto-generated name. Do not use this and a node_pool at the same time. For responses, this field will be populated with the node configuration of the first node pool. If unspecified, the defaults are used. Defaults to: null. nodeIpv4CidrSize (integer()): [Output only] The size of the address space on each node for hosting containers. This is provisioned from within the &#x60;container_ipv4_cidr&#x60; range. Defaults to: null. nodePools ([NodePool]): The node pools associated with this cluster. This field should not be set if &quot;node_config&quot; or &quot;initial_node_count&quot; are specified. Defaults to: null. privateClusterConfig (PrivateClusterConfig): Configuration for private cluster. Defaults to: null. resourceLabels (%{optional(String.t) &#x3D;&gt; String.t}): The resource labels for the cluster to use to annotate any related Google Compute Engine resources. Defaults to: null. selfLink (String.t): [Output only] Server-defined URL for the resource. Defaults to: null. servicesIpv4Cidr (String.t): [Output only] The IP address range of the Kubernetes services in this cluster, in CIDR notation (e.g. &#x60;1.2.3.4/29&#x60;). Service addresses are typically put in the last &#x60;/16&#x60; from the container CIDR. Defaults to: null. status (String.t): [Output only] The current status of this cluster. Defaults to: null. Enum - one of [STATUS_UNSPECIFIED, PROVISIONING, RUNNING, RECONCILING, STOPPING, ERROR, DEGRADED] statusMessage (String.t): [Output only] Additional information about the current status of this cluster, if available. Defaults to: null. subnetwork (String.t): The name of the Google Compute Engine subnetwork to which the cluster is connected. Defaults to: null. tpuIpv4CidrBlock (String.t): [Output only] The IP address range of the Cloud TPUs in this cluster, in CIDR notation (e.g. &#x60;1.2.3.4/29&#x60;). Defaults to: null. zone (String.t): [Output only] The name of the Google Compute Engine zone in which the cluster resides. This field is deprecated, use location instead. Defaults to: null."},{"ref":"GoogleApi.Container.V1.Model.Cluster.html#decode/2","title":"GoogleApi.Container.V1.Model.Cluster.decode/2","module":"GoogleApi.Container.V1.Model.Cluster","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.Cluster.html#t:t/0","title":"GoogleApi.Container.V1.Model.Cluster.t/0","module":"GoogleApi.Container.V1.Model.Cluster","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Model.ClusterUpdate.html","title":"GoogleApi.Container.V1.Model.ClusterUpdate","module":"GoogleApi.Container.V1.Model.ClusterUpdate","type":"module","doc":"ClusterUpdate describes an update to the cluster. Exactly one update can be applied to a cluster with each request, so at most one field can be provided. Attributes desiredAddonsConfig (AddonsConfig): Configurations for the various addons available to run in the cluster. Defaults to: null. desiredImageType (String.t): The desired image type for the node pool. NOTE: Set the &quot;desired_node_pool&quot; field as well. Defaults to: null. desiredLocations ([String.t]): The desired list of Google Compute Engine zones in which the cluster&#39;s nodes should be located. Changing the locations a cluster is in will result in nodes being either created or removed from the cluster, depending on whether locations are being added or removed. This list must always include the cluster&#39;s primary zone. Defaults to: null. desiredMasterAuthorizedNetworksConfig (MasterAuthorizedNetworksConfig): The desired configuration options for master authorized networks feature. Defaults to: null. desiredMasterVersion (String.t): The Kubernetes version to change the master to. Users may specify either explicit versions offered by Kubernetes Engine or version aliases, which have the following behavior: - &quot;latest&quot;: picks the highest valid Kubernetes version - &quot;1.X&quot;: picks the highest valid patch+gke.N patch in the 1.X version - &quot;1.X.Y&quot;: picks the highest valid gke.N patch in the 1.X.Y version - &quot;1.X.Y-gke.N&quot;: picks an explicit Kubernetes version - &quot;-&quot;: picks the default Kubernetes version Defaults to: null. desiredMonitoringService (String.t): The monitoring service the cluster should use to write metrics. Currently available options: &quot;monitoring.googleapis.com&quot; - the Google Cloud Monitoring service &quot;none&quot; - no metrics will be exported from the cluster Defaults to: null. desiredNodePoolAutoscaling (NodePoolAutoscaling): Autoscaler configuration for the node pool specified in desired_node_pool_id. If there is only one pool in the cluster and desired_node_pool_id is not provided then the change applies to that single node pool. Defaults to: null. desiredNodePoolId (String.t): The node pool to be upgraded. This field is mandatory if &quot;desired_node_version&quot;, &quot;desired_image_family&quot; or &quot;desired_node_pool_autoscaling&quot; is specified and there is more than one node pool on the cluster. Defaults to: null. desiredNodeVersion (String.t): The Kubernetes version to change the nodes to (typically an upgrade). Users may specify either explicit versions offered by Kubernetes Engine or version aliases, which have the following behavior: - &quot;latest&quot;: picks the highest valid Kubernetes version - &quot;1.X&quot;: picks the highest valid patch+gke.N patch in the 1.X version - &quot;1.X.Y&quot;: picks the highest valid gke.N patch in the 1.X.Y version - &quot;1.X.Y-gke.N&quot;: picks an explicit Kubernetes version - &quot;-&quot;: picks the Kubernetes master version Defaults to: null."},{"ref":"GoogleApi.Container.V1.Model.ClusterUpdate.html#decode/2","title":"GoogleApi.Container.V1.Model.ClusterUpdate.decode/2","module":"GoogleApi.Container.V1.Model.ClusterUpdate","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.ClusterUpdate.html#t:t/0","title":"GoogleApi.Container.V1.Model.ClusterUpdate.t/0","module":"GoogleApi.Container.V1.Model.ClusterUpdate","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Model.CompleteIpRotationRequest.html","title":"GoogleApi.Container.V1.Model.CompleteIpRotationRequest","module":"GoogleApi.Container.V1.Model.CompleteIpRotationRequest","type":"module","doc":"CompleteIPRotationRequest moves the cluster master back into single-IP mode. Attributes clusterId (String.t): Deprecated. The name of the cluster. This field has been deprecated and replaced by the name field. Defaults to: null. name (String.t): The name (project, location, cluster id) of the cluster to complete IP rotation. Specified in the format &#39;projects//locations//clusters/*&#39;. Defaults to: null. projectId (String.t): Deprecated. The Google Developers Console project ID or project number. This field has been deprecated and replaced by the name field. Defaults to: null. zone (String.t): Deprecated. The name of the Google Compute Engine zone in which the cluster resides. This field has been deprecated and replaced by the name field. Defaults to: null."},{"ref":"GoogleApi.Container.V1.Model.CompleteIpRotationRequest.html#decode/2","title":"GoogleApi.Container.V1.Model.CompleteIpRotationRequest.decode/2","module":"GoogleApi.Container.V1.Model.CompleteIpRotationRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.CompleteIpRotationRequest.html#t:t/0","title":"GoogleApi.Container.V1.Model.CompleteIpRotationRequest.t/0","module":"GoogleApi.Container.V1.Model.CompleteIpRotationRequest","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Model.CreateClusterRequest.html","title":"GoogleApi.Container.V1.Model.CreateClusterRequest","module":"GoogleApi.Container.V1.Model.CreateClusterRequest","type":"module","doc":"CreateClusterRequest creates a cluster. Attributes cluster (Cluster): A cluster resource Defaults to: null. parent (String.t): The parent (project and location) where the cluster will be created. Specified in the format &#39;projects//locations/&#39;. Defaults to: null. projectId (String.t): Deprecated. The Google Developers Console project ID or project number. This field has been deprecated and replaced by the parent field. Defaults to: null. zone (String.t): Deprecated. The name of the Google Compute Engine zone in which the cluster resides. This field has been deprecated and replaced by the parent field. Defaults to: null."},{"ref":"GoogleApi.Container.V1.Model.CreateClusterRequest.html#decode/2","title":"GoogleApi.Container.V1.Model.CreateClusterRequest.decode/2","module":"GoogleApi.Container.V1.Model.CreateClusterRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.CreateClusterRequest.html#t:t/0","title":"GoogleApi.Container.V1.Model.CreateClusterRequest.t/0","module":"GoogleApi.Container.V1.Model.CreateClusterRequest","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Model.CreateNodePoolRequest.html","title":"GoogleApi.Container.V1.Model.CreateNodePoolRequest","module":"GoogleApi.Container.V1.Model.CreateNodePoolRequest","type":"module","doc":"CreateNodePoolRequest creates a node pool for a cluster. Attributes clusterId (String.t): Deprecated. The name of the cluster. This field has been deprecated and replaced by the parent field. Defaults to: null. nodePool (NodePool): The node pool to create. Defaults to: null. parent (String.t): The parent (project, location, cluster id) where the node pool will be created. Specified in the format &#39;projects//locations//clusters/*&#39;. Defaults to: null. projectId (String.t): Deprecated. The Google Developers Console project ID or project number. This field has been deprecated and replaced by the parent field. Defaults to: null. zone (String.t): Deprecated. The name of the Google Compute Engine zone in which the cluster resides. This field has been deprecated and replaced by the parent field. Defaults to: null."},{"ref":"GoogleApi.Container.V1.Model.CreateNodePoolRequest.html#decode/2","title":"GoogleApi.Container.V1.Model.CreateNodePoolRequest.decode/2","module":"GoogleApi.Container.V1.Model.CreateNodePoolRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.CreateNodePoolRequest.html#t:t/0","title":"GoogleApi.Container.V1.Model.CreateNodePoolRequest.t/0","module":"GoogleApi.Container.V1.Model.CreateNodePoolRequest","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Model.DailyMaintenanceWindow.html","title":"GoogleApi.Container.V1.Model.DailyMaintenanceWindow","module":"GoogleApi.Container.V1.Model.DailyMaintenanceWindow","type":"module","doc":"Time window specified for daily maintenance operations. Attributes duration (String.t): [Output only] Duration of the time window, automatically chosen to be smallest possible in the given scenario. Duration will be in RFC3339 format &quot;PTnHnMnS&quot;. Defaults to: null. startTime (String.t): Time within the maintenance window to start the maintenance operations. Time format should be in RFC3339 format &quot;HH:MM”, where HH : [00-23] and MM : [00-59] GMT. Defaults to: null."},{"ref":"GoogleApi.Container.V1.Model.DailyMaintenanceWindow.html#decode/2","title":"GoogleApi.Container.V1.Model.DailyMaintenanceWindow.decode/2","module":"GoogleApi.Container.V1.Model.DailyMaintenanceWindow","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.DailyMaintenanceWindow.html#t:t/0","title":"GoogleApi.Container.V1.Model.DailyMaintenanceWindow.t/0","module":"GoogleApi.Container.V1.Model.DailyMaintenanceWindow","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Model.Empty.html","title":"GoogleApi.Container.V1.Model.Empty","module":"GoogleApi.Container.V1.Model.Empty","type":"module","doc":"A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); } The JSON representation for &#x60;Empty&#x60; is empty JSON object &#x60;{}&#x60;. Attributes"},{"ref":"GoogleApi.Container.V1.Model.Empty.html#decode/2","title":"GoogleApi.Container.V1.Model.Empty.decode/2","module":"GoogleApi.Container.V1.Model.Empty","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.Empty.html#t:t/0","title":"GoogleApi.Container.V1.Model.Empty.t/0","module":"GoogleApi.Container.V1.Model.Empty","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Model.GetJsonWebKeysResponse.html","title":"GoogleApi.Container.V1.Model.GetJsonWebKeysResponse","module":"GoogleApi.Container.V1.Model.GetJsonWebKeysResponse","type":"module","doc":"GetJSONWebKeysResponse is a valid JSON Web Key Set as specififed in rfc 7517 Attributes keys ([Jwk]): The public component of the keys used by the cluster to sign token requests. Defaults to: null."},{"ref":"GoogleApi.Container.V1.Model.GetJsonWebKeysResponse.html#decode/2","title":"GoogleApi.Container.V1.Model.GetJsonWebKeysResponse.decode/2","module":"GoogleApi.Container.V1.Model.GetJsonWebKeysResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.GetJsonWebKeysResponse.html#t:t/0","title":"GoogleApi.Container.V1.Model.GetJsonWebKeysResponse.t/0","module":"GoogleApi.Container.V1.Model.GetJsonWebKeysResponse","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Model.GetOpenIdConfigResponse.html","title":"GoogleApi.Container.V1.Model.GetOpenIdConfigResponse","module":"GoogleApi.Container.V1.Model.GetOpenIdConfigResponse","type":"module","doc":"GetOpenIDConfigResponse is an OIDC discovery document for the cluster. See the OpenID Connect Discovery 1.0 specification for details. Attributes claims_supported ([String.t]): NOLINT Defaults to: null. grant_types ([String.t]): NOLINT Defaults to: null. id_token_signing_alg_values_supported ([String.t]): NOLINT Defaults to: null. issuer (String.t): NOLINT Defaults to: null. jwks_uri (String.t): NOLINT Defaults to: null. response_types_supported ([String.t]): NOLINT Defaults to: null. subject_types_supported ([String.t]): NOLINT Defaults to: null."},{"ref":"GoogleApi.Container.V1.Model.GetOpenIdConfigResponse.html#decode/2","title":"GoogleApi.Container.V1.Model.GetOpenIdConfigResponse.decode/2","module":"GoogleApi.Container.V1.Model.GetOpenIdConfigResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.GetOpenIdConfigResponse.html#t:t/0","title":"GoogleApi.Container.V1.Model.GetOpenIdConfigResponse.t/0","module":"GoogleApi.Container.V1.Model.GetOpenIdConfigResponse","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Model.HorizontalPodAutoscaling.html","title":"GoogleApi.Container.V1.Model.HorizontalPodAutoscaling","module":"GoogleApi.Container.V1.Model.HorizontalPodAutoscaling","type":"module","doc":"Configuration options for the horizontal pod autoscaling feature, which increases or decreases the number of replica pods a replication controller has based on the resource usage of the existing pods. Attributes disabled (boolean()): Whether the Horizontal Pod Autoscaling feature is enabled in the cluster. When enabled, it ensures that a Heapster pod is running in the cluster, which is also used by the Cloud Monitoring service. Defaults to: null."},{"ref":"GoogleApi.Container.V1.Model.HorizontalPodAutoscaling.html#decode/2","title":"GoogleApi.Container.V1.Model.HorizontalPodAutoscaling.decode/2","module":"GoogleApi.Container.V1.Model.HorizontalPodAutoscaling","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.HorizontalPodAutoscaling.html#t:t/0","title":"GoogleApi.Container.V1.Model.HorizontalPodAutoscaling.t/0","module":"GoogleApi.Container.V1.Model.HorizontalPodAutoscaling","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Model.HttpLoadBalancing.html","title":"GoogleApi.Container.V1.Model.HttpLoadBalancing","module":"GoogleApi.Container.V1.Model.HttpLoadBalancing","type":"module","doc":"Configuration options for the HTTP (L7) load balancing controller addon, which makes it easy to set up HTTP load balancers for services in a cluster. Attributes disabled (boolean()): Whether the HTTP Load Balancing controller is enabled in the cluster. When enabled, it runs a small pod in the cluster that manages the load balancers. Defaults to: null."},{"ref":"GoogleApi.Container.V1.Model.HttpLoadBalancing.html#decode/2","title":"GoogleApi.Container.V1.Model.HttpLoadBalancing.decode/2","module":"GoogleApi.Container.V1.Model.HttpLoadBalancing","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.HttpLoadBalancing.html#t:t/0","title":"GoogleApi.Container.V1.Model.HttpLoadBalancing.t/0","module":"GoogleApi.Container.V1.Model.HttpLoadBalancing","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Model.IpAllocationPolicy.html","title":"GoogleApi.Container.V1.Model.IpAllocationPolicy","module":"GoogleApi.Container.V1.Model.IpAllocationPolicy","type":"module","doc":"Configuration for controlling how IPs are allocated in the cluster. Attributes clusterIpv4Cidr (String.t): This field is deprecated, use cluster_ipv4_cidr_block. Defaults to: null. clusterIpv4CidrBlock (String.t): The IP address range for the cluster pod IPs. If this field is set, then &#x60;cluster.cluster_ipv4_cidr&#x60; must be left blank. This field is only applicable when &#x60;use_ip_aliases&#x60; is true. Set to blank to have a range chosen with the default size. Set to /netmask (e.g. &#x60;/14&#x60;) to have a range chosen with a specific netmask. Set to a CIDR notation (e.g. &#x60;10.96.0.0/14&#x60;) from the RFC-1918 private networks (e.g. &#x60;10.0.0.0/8&#x60;, &#x60;172.16.0.0/12&#x60;, &#x60;192.168.0.0/16&#x60;) to pick a specific range to use. Defaults to: null. clusterSecondaryRangeName (String.t): The name of the secondary range to be used for the cluster CIDR block. The secondary range will be used for pod IP addresses. This must be an existing secondary range associated with the cluster subnetwork. This field is only applicable with use_ip_aliases is true and create_subnetwork is false. Defaults to: null. createSubnetwork (boolean()): Whether a new subnetwork will be created automatically for the cluster. This field is only applicable when &#x60;use_ip_aliases&#x60; is true. Defaults to: null. nodeIpv4Cidr (String.t): This field is deprecated, use node_ipv4_cidr_block. Defaults to: null. nodeIpv4CidrBlock (String.t): The IP address range of the instance IPs in this cluster. This is applicable only if &#x60;create_subnetwork&#x60; is true. Set to blank to have a range chosen with the default size. Set to /netmask (e.g. &#x60;/14&#x60;) to have a range chosen with a specific netmask. Set to a CIDR notation (e.g. &#x60;10.96.0.0/14&#x60;) from the RFC-1918 private networks (e.g. &#x60;10.0.0.0/8&#x60;, &#x60;172.16.0.0/12&#x60;, &#x60;192.168.0.0/16&#x60;) to pick a specific range to use. Defaults to: null. servicesIpv4Cidr (String.t): This field is deprecated, use services_ipv4_cidr_block. Defaults to: null. servicesIpv4CidrBlock (String.t): The IP address range of the services IPs in this cluster. If blank, a range will be automatically chosen with the default size. This field is only applicable when &#x60;use_ip_aliases&#x60; is true. Set to blank to have a range chosen with the default size. Set to /netmask (e.g. &#x60;/14&#x60;) to have a range chosen with a specific netmask. Set to a CIDR notation (e.g. &#x60;10.96.0.0/14&#x60;) from the RFC-1918 private networks (e.g. &#x60;10.0.0.0/8&#x60;, &#x60;172.16.0.0/12&#x60;, &#x60;192.168.0.0/16&#x60;) to pick a specific range to use. Defaults to: null. servicesSecondaryRangeName (String.t): The name of the secondary range to be used as for the services CIDR block. The secondary range will be used for service ClusterIPs. This must be an existing secondary range associated with the cluster subnetwork. This field is only applicable with use_ip_aliases is true and create_subnetwork is false. Defaults to: null. subnetworkName (String.t): A custom subnetwork name to be used if &#x60;create_subnetwork&#x60; is true. If this field is empty, then an automatic name will be chosen for the new subnetwork. Defaults to: null. tpuIpv4CidrBlock (String.t): The IP address range of the Cloud TPUs in this cluster. If unspecified, a range will be automatically chosen with the default size. This field is only applicable when &#x60;use_ip_aliases&#x60; is true. If unspecified, the range will use the default size. Set to /netmask (e.g. &#x60;/14&#x60;) to have a range chosen with a specific netmask. Set to a CIDR notation (e.g. &#x60;10.96.0.0/14&#x60;) from the RFC-1918 private networks (e.g. &#x60;10.0.0.0/8&#x60;, &#x60;172.16.0.0/12&#x60;, &#x60;192.168.0.0/16&#x60;) to pick a specific range to use. Defaults to: null. useIpAliases (boolean()): Whether alias IPs will be used for pod IPs in the cluster. Defaults to: null."},{"ref":"GoogleApi.Container.V1.Model.IpAllocationPolicy.html#decode/2","title":"GoogleApi.Container.V1.Model.IpAllocationPolicy.decode/2","module":"GoogleApi.Container.V1.Model.IpAllocationPolicy","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.IpAllocationPolicy.html#t:t/0","title":"GoogleApi.Container.V1.Model.IpAllocationPolicy.t/0","module":"GoogleApi.Container.V1.Model.IpAllocationPolicy","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Model.Jwk.html","title":"GoogleApi.Container.V1.Model.Jwk","module":"GoogleApi.Container.V1.Model.Jwk","type":"module","doc":"Jwk is a JSON Web Key as specified in RFC 7517 Attributes alg (String.t): NOLINT Defaults to: null. crv (String.t): NOLINT Defaults to: null. e (String.t): NOLINT Defaults to: null. kid (String.t): NOLINT Defaults to: null. kty (String.t): NOLINT Defaults to: null. n (String.t): Fields for RSA keys. NOLINT Defaults to: null. use (String.t): NOLINT Defaults to: null. x (String.t): Fields for ECDSA keys. NOLINT Defaults to: null. y (String.t): NOLINT Defaults to: null."},{"ref":"GoogleApi.Container.V1.Model.Jwk.html#decode/2","title":"GoogleApi.Container.V1.Model.Jwk.decode/2","module":"GoogleApi.Container.V1.Model.Jwk","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.Jwk.html#t:t/0","title":"GoogleApi.Container.V1.Model.Jwk.t/0","module":"GoogleApi.Container.V1.Model.Jwk","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Model.KubernetesDashboard.html","title":"GoogleApi.Container.V1.Model.KubernetesDashboard","module":"GoogleApi.Container.V1.Model.KubernetesDashboard","type":"module","doc":"Configuration for the Kubernetes Dashboard. Attributes disabled (boolean()): Whether the Kubernetes Dashboard is enabled for this cluster. Defaults to: null."},{"ref":"GoogleApi.Container.V1.Model.KubernetesDashboard.html#decode/2","title":"GoogleApi.Container.V1.Model.KubernetesDashboard.decode/2","module":"GoogleApi.Container.V1.Model.KubernetesDashboard","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.KubernetesDashboard.html#t:t/0","title":"GoogleApi.Container.V1.Model.KubernetesDashboard.t/0","module":"GoogleApi.Container.V1.Model.KubernetesDashboard","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Model.LegacyAbac.html","title":"GoogleApi.Container.V1.Model.LegacyAbac","module":"GoogleApi.Container.V1.Model.LegacyAbac","type":"module","doc":"Configuration for the legacy Attribute Based Access Control authorization mode. Attributes enabled (boolean()): Whether the ABAC authorizer is enabled for this cluster. When enabled, identities in the system, including service accounts, nodes, and controllers, will have statically granted permissions beyond those provided by the RBAC configuration or IAM. Defaults to: null."},{"ref":"GoogleApi.Container.V1.Model.LegacyAbac.html#decode/2","title":"GoogleApi.Container.V1.Model.LegacyAbac.decode/2","module":"GoogleApi.Container.V1.Model.LegacyAbac","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.LegacyAbac.html#t:t/0","title":"GoogleApi.Container.V1.Model.LegacyAbac.t/0","module":"GoogleApi.Container.V1.Model.LegacyAbac","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Model.ListClustersResponse.html","title":"GoogleApi.Container.V1.Model.ListClustersResponse","module":"GoogleApi.Container.V1.Model.ListClustersResponse","type":"module","doc":"ListClustersResponse is the result of ListClustersRequest. Attributes clusters ([Cluster]): A list of clusters in the project in the specified zone, or across all ones. Defaults to: null. missingZones ([String.t]): If any zones are listed here, the list of clusters returned may be missing those zones. Defaults to: null."},{"ref":"GoogleApi.Container.V1.Model.ListClustersResponse.html#decode/2","title":"GoogleApi.Container.V1.Model.ListClustersResponse.decode/2","module":"GoogleApi.Container.V1.Model.ListClustersResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.ListClustersResponse.html#t:t/0","title":"GoogleApi.Container.V1.Model.ListClustersResponse.t/0","module":"GoogleApi.Container.V1.Model.ListClustersResponse","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Model.ListNodePoolsResponse.html","title":"GoogleApi.Container.V1.Model.ListNodePoolsResponse","module":"GoogleApi.Container.V1.Model.ListNodePoolsResponse","type":"module","doc":"ListNodePoolsResponse is the result of ListNodePoolsRequest. Attributes nodePools ([NodePool]): A list of node pools for a cluster. Defaults to: null."},{"ref":"GoogleApi.Container.V1.Model.ListNodePoolsResponse.html#decode/2","title":"GoogleApi.Container.V1.Model.ListNodePoolsResponse.decode/2","module":"GoogleApi.Container.V1.Model.ListNodePoolsResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.ListNodePoolsResponse.html#t:t/0","title":"GoogleApi.Container.V1.Model.ListNodePoolsResponse.t/0","module":"GoogleApi.Container.V1.Model.ListNodePoolsResponse","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Model.ListOperationsResponse.html","title":"GoogleApi.Container.V1.Model.ListOperationsResponse","module":"GoogleApi.Container.V1.Model.ListOperationsResponse","type":"module","doc":"ListOperationsResponse is the result of ListOperationsRequest. Attributes missingZones ([String.t]): If any zones are listed here, the list of operations returned may be missing the operations from those zones. Defaults to: null. operations ([Operation]): A list of operations in the project in the specified zone. Defaults to: null."},{"ref":"GoogleApi.Container.V1.Model.ListOperationsResponse.html#decode/2","title":"GoogleApi.Container.V1.Model.ListOperationsResponse.decode/2","module":"GoogleApi.Container.V1.Model.ListOperationsResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.ListOperationsResponse.html#t:t/0","title":"GoogleApi.Container.V1.Model.ListOperationsResponse.t/0","module":"GoogleApi.Container.V1.Model.ListOperationsResponse","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Model.MaintenancePolicy.html","title":"GoogleApi.Container.V1.Model.MaintenancePolicy","module":"GoogleApi.Container.V1.Model.MaintenancePolicy","type":"module","doc":"MaintenancePolicy defines the maintenance policy to be used for the cluster. Attributes window (MaintenanceWindow): Specifies the maintenance window in which maintenance may be performed. Defaults to: null."},{"ref":"GoogleApi.Container.V1.Model.MaintenancePolicy.html#decode/2","title":"GoogleApi.Container.V1.Model.MaintenancePolicy.decode/2","module":"GoogleApi.Container.V1.Model.MaintenancePolicy","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.MaintenancePolicy.html#t:t/0","title":"GoogleApi.Container.V1.Model.MaintenancePolicy.t/0","module":"GoogleApi.Container.V1.Model.MaintenancePolicy","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Model.MaintenanceWindow.html","title":"GoogleApi.Container.V1.Model.MaintenanceWindow","module":"GoogleApi.Container.V1.Model.MaintenanceWindow","type":"module","doc":"MaintenanceWindow defines the maintenance window to be used for the cluster. Attributes dailyMaintenanceWindow (DailyMaintenanceWindow): DailyMaintenanceWindow specifies a daily maintenance operation window. Defaults to: null."},{"ref":"GoogleApi.Container.V1.Model.MaintenanceWindow.html#decode/2","title":"GoogleApi.Container.V1.Model.MaintenanceWindow.decode/2","module":"GoogleApi.Container.V1.Model.MaintenanceWindow","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.MaintenanceWindow.html#t:t/0","title":"GoogleApi.Container.V1.Model.MaintenanceWindow.t/0","module":"GoogleApi.Container.V1.Model.MaintenanceWindow","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Model.MasterAuth.html","title":"GoogleApi.Container.V1.Model.MasterAuth","module":"GoogleApi.Container.V1.Model.MasterAuth","type":"module","doc":"The authentication information for accessing the master endpoint. Authentication can be done using HTTP basic auth or using client certificates. Attributes clientCertificate (String.t): [Output only] Base64-encoded public certificate used by clients to authenticate to the cluster endpoint. Defaults to: null. clientCertificateConfig (ClientCertificateConfig): Configuration for client certificate authentication on the cluster. For clusters before v1.12, if no configuration is specified, a client certificate is issued. Defaults to: null. clientKey (String.t): [Output only] Base64-encoded private key used by clients to authenticate to the cluster endpoint. Defaults to: null. clusterCaCertificate (String.t): [Output only] Base64-encoded public certificate that is the root of trust for the cluster. Defaults to: null. password (String.t): The password to use for HTTP basic authentication to the master endpoint. Because the master endpoint is open to the Internet, you should create a strong password. If a password is provided for cluster creation, username must be non-empty. Defaults to: null. username (String.t): The username to use for HTTP basic authentication to the master endpoint. For clusters v1.6.0 and later, basic authentication can be disabled by leaving username unspecified (or setting it to the empty string). Defaults to: null."},{"ref":"GoogleApi.Container.V1.Model.MasterAuth.html#decode/2","title":"GoogleApi.Container.V1.Model.MasterAuth.decode/2","module":"GoogleApi.Container.V1.Model.MasterAuth","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.MasterAuth.html#t:t/0","title":"GoogleApi.Container.V1.Model.MasterAuth.t/0","module":"GoogleApi.Container.V1.Model.MasterAuth","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Model.MasterAuthorizedNetworksConfig.html","title":"GoogleApi.Container.V1.Model.MasterAuthorizedNetworksConfig","module":"GoogleApi.Container.V1.Model.MasterAuthorizedNetworksConfig","type":"module","doc":"Configuration options for the master authorized networks feature. Enabled master authorized networks will disallow all external traffic to access Kubernetes master through HTTPS except traffic from the given CIDR blocks, Google Compute Engine Public IPs and Google Prod IPs. Attributes cidrBlocks ([CidrBlock]): cidr_blocks define up to 10 external networks that could access Kubernetes master through HTTPS. Defaults to: null. enabled (boolean()): Whether or not master authorized networks is enabled. Defaults to: null."},{"ref":"GoogleApi.Container.V1.Model.MasterAuthorizedNetworksConfig.html#decode/2","title":"GoogleApi.Container.V1.Model.MasterAuthorizedNetworksConfig.decode/2","module":"GoogleApi.Container.V1.Model.MasterAuthorizedNetworksConfig","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.MasterAuthorizedNetworksConfig.html#t:t/0","title":"GoogleApi.Container.V1.Model.MasterAuthorizedNetworksConfig.t/0","module":"GoogleApi.Container.V1.Model.MasterAuthorizedNetworksConfig","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Model.NetworkConfig.html","title":"GoogleApi.Container.V1.Model.NetworkConfig","module":"GoogleApi.Container.V1.Model.NetworkConfig","type":"module","doc":"NetworkConfig reports the relative names of network &amp; subnetwork. Attributes network (String.t): Output only. The relative name of the Google Compute Engine network(/compute/docs/networks-and-firewalls#networks) to which the cluster is connected. Example: projects/my-project/global/networks/my-network Defaults to: null. subnetwork (String.t): Output only. The relative name of the Google Compute Engine subnetwork to which the cluster is connected. Example: projects/my-project/regions/us-central1/subnetworks/my-subnet Defaults to: null."},{"ref":"GoogleApi.Container.V1.Model.NetworkConfig.html#decode/2","title":"GoogleApi.Container.V1.Model.NetworkConfig.decode/2","module":"GoogleApi.Container.V1.Model.NetworkConfig","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.NetworkConfig.html#t:t/0","title":"GoogleApi.Container.V1.Model.NetworkConfig.t/0","module":"GoogleApi.Container.V1.Model.NetworkConfig","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Model.NetworkPolicy.html","title":"GoogleApi.Container.V1.Model.NetworkPolicy","module":"GoogleApi.Container.V1.Model.NetworkPolicy","type":"module","doc":"Configuration options for the NetworkPolicy feature. https://kubernetes.io/docs/concepts/services-networking/networkpolicies/ Attributes enabled (boolean()): Whether network policy is enabled on the cluster. Defaults to: null. provider (String.t): The selected network policy provider. Defaults to: null. Enum - one of [PROVIDER_UNSPECIFIED, CALICO]"},{"ref":"GoogleApi.Container.V1.Model.NetworkPolicy.html#decode/2","title":"GoogleApi.Container.V1.Model.NetworkPolicy.decode/2","module":"GoogleApi.Container.V1.Model.NetworkPolicy","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.NetworkPolicy.html#t:t/0","title":"GoogleApi.Container.V1.Model.NetworkPolicy.t/0","module":"GoogleApi.Container.V1.Model.NetworkPolicy","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Model.NetworkPolicyConfig.html","title":"GoogleApi.Container.V1.Model.NetworkPolicyConfig","module":"GoogleApi.Container.V1.Model.NetworkPolicyConfig","type":"module","doc":"Configuration for NetworkPolicy. This only tracks whether the addon is enabled or not on the Master, it does not track whether network policy is enabled for the nodes. Attributes disabled (boolean()): Whether NetworkPolicy is enabled for this cluster. Defaults to: null."},{"ref":"GoogleApi.Container.V1.Model.NetworkPolicyConfig.html#decode/2","title":"GoogleApi.Container.V1.Model.NetworkPolicyConfig.decode/2","module":"GoogleApi.Container.V1.Model.NetworkPolicyConfig","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.NetworkPolicyConfig.html#t:t/0","title":"GoogleApi.Container.V1.Model.NetworkPolicyConfig.t/0","module":"GoogleApi.Container.V1.Model.NetworkPolicyConfig","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Model.NodeConfig.html","title":"GoogleApi.Container.V1.Model.NodeConfig","module":"GoogleApi.Container.V1.Model.NodeConfig","type":"module","doc":"Parameters that describe the nodes in a cluster. Attributes tags ([String.t]): The list of instance tags applied to all nodes. Tags are used to identify valid sources or targets for network firewalls and are specified by the client during cluster or node pool creation. Each tag within the list must comply with RFC1035. Defaults to: null. accelerators ([AcceleratorConfig]): A list of hardware accelerators to be attached to each node. See https://cloud.google.com/compute/docs/gpus for more information about support for GPUs. Defaults to: null. diskSizeGb (integer()): Size of the disk attached to each node, specified in GB. The smallest allowed disk size is 10GB. If unspecified, the default disk size is 100GB. Defaults to: null. diskType (String.t): Type of the disk attached to each node (e.g. &#39;pd-standard&#39; or &#39;pd-ssd&#39;) If unspecified, the default disk type is &#39;pd-standard&#39; Defaults to: null. imageType (String.t): The image type to use for this node. Note that for a given image type, the latest version of it will be used. Defaults to: null. labels (%{optional(String.t) &#x3D;&gt; String.t}): The map of Kubernetes labels (key/value pairs) to be applied to each node. These will added in addition to any default label(s) that Kubernetes may apply to the node. In case of conflict in label keys, the applied set may differ depending on the Kubernetes version -- it&#39;s best to assume the behavior is undefined and conflicts should be avoided. For more information, including usage and the valid values, see: https://kubernetes.io/docs/concepts/overview/working-with-objects/labels/ Defaults to: null. localSsdCount (integer()): The number of local SSD disks to be attached to the node. The limit for this value is dependant upon the maximum number of disks available on a machine per zone. See: https://cloud.google.com/compute/docs/disks/local-ssd#local_ssd_limits for more information. Defaults to: null. machineType (String.t): The name of a Google Compute Engine machine type (e.g. &#x60;n1-standard-1&#x60;). If unspecified, the default machine type is &#x60;n1-standard-1&#x60;. Defaults to: null. metadata (%{optional(String.t) &#x3D;&gt; String.t}): The metadata key/value pairs assigned to instances in the cluster. Keys must conform to the regexp [a-zA-Z0-9-_]+ and be less than 128 bytes in length. These are reflected as part of a URL in the metadata server. Additionally, to avoid ambiguity, keys must not conflict with any other metadata keys for the project or be one of the reserved keys: &quot;cluster-location&quot; &quot;cluster-name&quot; &quot;cluster-uid&quot; &quot;configure-sh&quot; &quot;containerd-configure-sh&quot; &quot;enable-os-login&quot; &quot;gci-update-strategy&quot; &quot;gci-ensure-gke-docker&quot; &quot;instance-template&quot; &quot;kube-env&quot; &quot;startup-script&quot; &quot;user-data&quot; Values are free-form strings, and only have meaning as interpreted by the image running in the instance. The only restriction placed on them is that each value&#39;s size must be less than or equal to 32 KB. The total size of all keys and values must be less than 512 KB. Defaults to: null. minCpuPlatform (String.t): Minimum CPU platform to be used by this instance. The instance may be scheduled on the specified or newer CPU platform. Applicable values are the friendly names of CPU platforms, such as &lt;code&gt;minCpuPlatform: &amp;quot;Intel Haswell&amp;quot;&lt;/code&gt; or &lt;code&gt;minCpuPlatform: &amp;quot;Intel Sandy Bridge&amp;quot;&lt;/code&gt;. For more information, read how to specify min CPU platform Defaults to: null. oauthScopes ([String.t]): The set of Google API scopes to be made available on all of the node VMs under the &quot;default&quot; service account. The following scopes are recommended, but not required, and by default are not included: &#x60;https://www.googleapis.com/auth/compute&#x60; is required for mounting persistent storage on your nodes. &#x60;https://www.googleapis.com/auth/devstorage.read_only&#x60; is required for communicating with gcr.io (the Google Container Registry). If unspecified, no scopes are added, unless Cloud Logging or Cloud Monitoring are enabled, in which case their required scopes will be added. Defaults to: null. preemptible (boolean()): Whether the nodes are created as preemptible VM instances. See: https://cloud.google.com/compute/docs/instances/preemptible for more information about preemptible VM instances. Defaults to: null. serviceAccount (String.t): The Google Cloud Platform Service Account to be used by the node VMs. If no Service Account is specified, the &quot;default&quot; service account is used. Defaults to: null. taints ([NodeTaint]): List of kubernetes taints to be applied to each node. For more information, including usage and the valid values, see: https://kubernetes.io/docs/concepts/configuration/taint-and-toleration/ Defaults to: null."},{"ref":"GoogleApi.Container.V1.Model.NodeConfig.html#decode/2","title":"GoogleApi.Container.V1.Model.NodeConfig.decode/2","module":"GoogleApi.Container.V1.Model.NodeConfig","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.NodeConfig.html#t:t/0","title":"GoogleApi.Container.V1.Model.NodeConfig.t/0","module":"GoogleApi.Container.V1.Model.NodeConfig","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Model.NodeManagement.html","title":"GoogleApi.Container.V1.Model.NodeManagement","module":"GoogleApi.Container.V1.Model.NodeManagement","type":"module","doc":"NodeManagement defines the set of node management services turned on for the node pool. Attributes autoRepair (boolean()): A flag that specifies whether the node auto-repair is enabled for the node pool. If enabled, the nodes in this node pool will be monitored and, if they fail health checks too many times, an automatic repair action will be triggered. Defaults to: null. autoUpgrade (boolean()): A flag that specifies whether node auto-upgrade is enabled for the node pool. If enabled, node auto-upgrade helps keep the nodes in your node pool up to date with the latest release version of Kubernetes. Defaults to: null. upgradeOptions (AutoUpgradeOptions): Specifies the Auto Upgrade knobs for the node pool. Defaults to: null."},{"ref":"GoogleApi.Container.V1.Model.NodeManagement.html#decode/2","title":"GoogleApi.Container.V1.Model.NodeManagement.decode/2","module":"GoogleApi.Container.V1.Model.NodeManagement","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.NodeManagement.html#t:t/0","title":"GoogleApi.Container.V1.Model.NodeManagement.t/0","module":"GoogleApi.Container.V1.Model.NodeManagement","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Model.NodePool.html","title":"GoogleApi.Container.V1.Model.NodePool","module":"GoogleApi.Container.V1.Model.NodePool","type":"module","doc":"NodePool contains the name and configuration for a cluster&#39;s node pool. Node pools are a set of nodes (i.e. VM&#39;s), with a common configuration and specification, under the control of the cluster master. They may have a set of Kubernetes labels applied to them, which may be used to reference them during pod scheduling. They may also be resized up or down, to accommodate the workload. Attributes autoscaling (NodePoolAutoscaling): Autoscaler configuration for this NodePool. Autoscaler is enabled only if a valid configuration is present. Defaults to: null. conditions ([StatusCondition]): Which conditions caused the current node pool state. Defaults to: null. config (NodeConfig): The node configuration of the pool. Defaults to: null. initialNodeCount (integer()): The initial node count for the pool. You must ensure that your Compute Engine &lt;a href&#x3D;&quot;/compute/docs/resource-quotas&quot;&gt;resource quota&lt;/a&gt; is sufficient for this number of instances. You must also have available firewall and routes quota. Defaults to: null. instanceGroupUrls ([String.t]): [Output only] The resource URLs of the managed instance groups associated with this node pool. Defaults to: null. management (NodeManagement): NodeManagement configuration for this NodePool. Defaults to: null. name (String.t): The name of the node pool. Defaults to: null. selfLink (String.t): [Output only] Server-defined URL for the resource. Defaults to: null. status (String.t): [Output only] The status of the nodes in this pool instance. Defaults to: null. Enum - one of [STATUS_UNSPECIFIED, PROVISIONING, RUNNING, RUNNING_WITH_ERROR, RECONCILING, STOPPING, ERROR] statusMessage (String.t): [Output only] Additional information about the current status of this node pool instance, if available. Defaults to: null. version (String.t): The version of the Kubernetes of this node. Defaults to: null."},{"ref":"GoogleApi.Container.V1.Model.NodePool.html#decode/2","title":"GoogleApi.Container.V1.Model.NodePool.decode/2","module":"GoogleApi.Container.V1.Model.NodePool","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.NodePool.html#t:t/0","title":"GoogleApi.Container.V1.Model.NodePool.t/0","module":"GoogleApi.Container.V1.Model.NodePool","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Model.NodePoolAutoscaling.html","title":"GoogleApi.Container.V1.Model.NodePoolAutoscaling","module":"GoogleApi.Container.V1.Model.NodePoolAutoscaling","type":"module","doc":"NodePoolAutoscaling contains information required by cluster autoscaler to adjust the size of the node pool to the current cluster usage. Attributes enabled (boolean()): Is autoscaling enabled for this node pool. Defaults to: null. maxNodeCount (integer()): Maximum number of nodes in the NodePool. Must be &gt;&#x3D; min_node_count. There has to enough quota to scale up the cluster. Defaults to: null. minNodeCount (integer()): Minimum number of nodes in the NodePool. Must be &gt;&#x3D; 1 and &lt;&#x3D; max_node_count. Defaults to: null."},{"ref":"GoogleApi.Container.V1.Model.NodePoolAutoscaling.html#decode/2","title":"GoogleApi.Container.V1.Model.NodePoolAutoscaling.decode/2","module":"GoogleApi.Container.V1.Model.NodePoolAutoscaling","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.NodePoolAutoscaling.html#t:t/0","title":"GoogleApi.Container.V1.Model.NodePoolAutoscaling.t/0","module":"GoogleApi.Container.V1.Model.NodePoolAutoscaling","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Model.NodeTaint.html","title":"GoogleApi.Container.V1.Model.NodeTaint","module":"GoogleApi.Container.V1.Model.NodeTaint","type":"module","doc":"Kubernetes taint is comprised of three fields: key, value, and effect. Effect can only be one of three types: NoSchedule, PreferNoSchedule or NoExecute. For more information, including usage and the valid values, see: https://kubernetes.io/docs/concepts/configuration/taint-and-toleration/ Attributes effect (String.t): Effect for taint. Defaults to: null. Enum - one of [EFFECT_UNSPECIFIED, NO_SCHEDULE, PREFER_NO_SCHEDULE, NO_EXECUTE] key (String.t): Key for taint. Defaults to: null. value (String.t): Value for taint. Defaults to: null."},{"ref":"GoogleApi.Container.V1.Model.NodeTaint.html#decode/2","title":"GoogleApi.Container.V1.Model.NodeTaint.decode/2","module":"GoogleApi.Container.V1.Model.NodeTaint","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.NodeTaint.html#t:t/0","title":"GoogleApi.Container.V1.Model.NodeTaint.t/0","module":"GoogleApi.Container.V1.Model.NodeTaint","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Model.Operation.html","title":"GoogleApi.Container.V1.Model.Operation","module":"GoogleApi.Container.V1.Model.Operation","type":"module","doc":"This operation resource represents operations that may have happened or are happening on the cluster. All fields are output only. Attributes clusterConditions ([StatusCondition]): Which conditions caused the current cluster state. Defaults to: null. detail (String.t): Detailed operation progress, if available. Defaults to: null. endTime (String.t): [Output only] The time the operation completed, in RFC3339 text format. Defaults to: null. location (String.t): [Output only] The name of the Google Compute Engine zone or region in which the cluster resides. Defaults to: null. name (String.t): The server-assigned ID for the operation. Defaults to: null. nodepoolConditions ([StatusCondition]): Which conditions caused the current node pool state. Defaults to: null. operationType (String.t): The operation type. Defaults to: null. Enum - one of [TYPE_UNSPECIFIED, CREATE_CLUSTER, DELETE_CLUSTER, UPGRADE_MASTER, UPGRADE_NODES, REPAIR_CLUSTER, UPDATE_CLUSTER, CREATE_NODE_POOL, DELETE_NODE_POOL, SET_NODE_POOL_MANAGEMENT, AUTO_REPAIR_NODES, AUTO_UPGRADE_NODES, SET_LABELS, SET_MASTER_AUTH, SET_NODE_POOL_SIZE, SET_NETWORK_POLICY, SET_MAINTENANCE_POLICY] selfLink (String.t): Server-defined URL for the resource. Defaults to: null. startTime (String.t): [Output only] The time the operation started, in RFC3339 text format. Defaults to: null. status (String.t): The current status of the operation. Defaults to: null. Enum - one of [STATUS_UNSPECIFIED, PENDING, RUNNING, DONE, ABORTING] statusMessage (String.t): If an error has occurred, a textual description of the error. Defaults to: null. targetLink (String.t): Server-defined URL for the target of the operation. Defaults to: null. zone (String.t): The name of the Google Compute Engine zone in which the operation is taking place. This field is deprecated, use location instead. Defaults to: null."},{"ref":"GoogleApi.Container.V1.Model.Operation.html#decode/2","title":"GoogleApi.Container.V1.Model.Operation.decode/2","module":"GoogleApi.Container.V1.Model.Operation","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.Operation.html#t:t/0","title":"GoogleApi.Container.V1.Model.Operation.t/0","module":"GoogleApi.Container.V1.Model.Operation","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Model.PrivateClusterConfig.html","title":"GoogleApi.Container.V1.Model.PrivateClusterConfig","module":"GoogleApi.Container.V1.Model.PrivateClusterConfig","type":"module","doc":"Configuration options for private clusters. Attributes enablePrivateEndpoint (boolean()): Whether the master&#39;s internal IP address is used as the cluster endpoint. Defaults to: null. enablePrivateNodes (boolean()): Whether nodes have internal IP addresses only. If enabled, all nodes are given only RFC 1918 private addresses and communicate with the master via private networking. Defaults to: null. masterIpv4CidrBlock (String.t): The IP range in CIDR notation to use for the hosted master network. This range will be used for assigning internal IP addresses to the master or set of masters, as well as the ILB VIP. This range must not overlap with any other ranges in use within the cluster&#39;s network. Defaults to: null. privateEndpoint (String.t): Output only. The internal IP address of this cluster&#39;s master endpoint. Defaults to: null. publicEndpoint (String.t): Output only. The external IP address of this cluster&#39;s master endpoint. Defaults to: null."},{"ref":"GoogleApi.Container.V1.Model.PrivateClusterConfig.html#decode/2","title":"GoogleApi.Container.V1.Model.PrivateClusterConfig.decode/2","module":"GoogleApi.Container.V1.Model.PrivateClusterConfig","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.PrivateClusterConfig.html#t:t/0","title":"GoogleApi.Container.V1.Model.PrivateClusterConfig.t/0","module":"GoogleApi.Container.V1.Model.PrivateClusterConfig","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Model.RollbackNodePoolUpgradeRequest.html","title":"GoogleApi.Container.V1.Model.RollbackNodePoolUpgradeRequest","module":"GoogleApi.Container.V1.Model.RollbackNodePoolUpgradeRequest","type":"module","doc":"RollbackNodePoolUpgradeRequest rollbacks the previously Aborted or Failed NodePool upgrade. This will be an no-op if the last upgrade successfully completed. Attributes clusterId (String.t): Deprecated. The name of the cluster to rollback. This field has been deprecated and replaced by the name field. Defaults to: null. name (String.t): The name (project, location, cluster, node pool id) of the node poll to rollback upgrade. Specified in the format &#39;projects//locations//clusters//nodePools/&#39;. Defaults to: null. nodePoolId (String.t): Deprecated. The name of the node pool to rollback. This field has been deprecated and replaced by the name field. Defaults to: null. projectId (String.t): Deprecated. The Google Developers Console project ID or project number. This field has been deprecated and replaced by the name field. Defaults to: null. zone (String.t): Deprecated. The name of the Google Compute Engine zone in which the cluster resides. This field has been deprecated and replaced by the name field. Defaults to: null."},{"ref":"GoogleApi.Container.V1.Model.RollbackNodePoolUpgradeRequest.html#decode/2","title":"GoogleApi.Container.V1.Model.RollbackNodePoolUpgradeRequest.decode/2","module":"GoogleApi.Container.V1.Model.RollbackNodePoolUpgradeRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.RollbackNodePoolUpgradeRequest.html#t:t/0","title":"GoogleApi.Container.V1.Model.RollbackNodePoolUpgradeRequest.t/0","module":"GoogleApi.Container.V1.Model.RollbackNodePoolUpgradeRequest","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Model.ServerConfig.html","title":"GoogleApi.Container.V1.Model.ServerConfig","module":"GoogleApi.Container.V1.Model.ServerConfig","type":"module","doc":"Kubernetes Engine service configuration. Attributes defaultClusterVersion (String.t): Version of Kubernetes the service deploys by default. Defaults to: null. defaultImageType (String.t): Default image type. Defaults to: null. validImageTypes ([String.t]): List of valid image types. Defaults to: null. validMasterVersions ([String.t]): List of valid master versions. Defaults to: null. validNodeVersions ([String.t]): List of valid node upgrade target versions. Defaults to: null."},{"ref":"GoogleApi.Container.V1.Model.ServerConfig.html#decode/2","title":"GoogleApi.Container.V1.Model.ServerConfig.decode/2","module":"GoogleApi.Container.V1.Model.ServerConfig","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.ServerConfig.html#t:t/0","title":"GoogleApi.Container.V1.Model.ServerConfig.t/0","module":"GoogleApi.Container.V1.Model.ServerConfig","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Model.SetAddonsConfigRequest.html","title":"GoogleApi.Container.V1.Model.SetAddonsConfigRequest","module":"GoogleApi.Container.V1.Model.SetAddonsConfigRequest","type":"module","doc":"SetAddonsConfigRequest sets the addons associated with the cluster. Attributes addonsConfig (AddonsConfig): The desired configurations for the various addons available to run in the cluster. Defaults to: null. clusterId (String.t): Deprecated. The name of the cluster to upgrade. This field has been deprecated and replaced by the name field. Defaults to: null. name (String.t): The name (project, location, cluster) of the cluster to set addons. Specified in the format &#39;projects//locations//clusters/*&#39;. Defaults to: null. projectId (String.t): Deprecated. The Google Developers Console project ID or project number. This field has been deprecated and replaced by the name field. Defaults to: null. zone (String.t): Deprecated. The name of the Google Compute Engine zone in which the cluster resides. This field has been deprecated and replaced by the name field. Defaults to: null."},{"ref":"GoogleApi.Container.V1.Model.SetAddonsConfigRequest.html#decode/2","title":"GoogleApi.Container.V1.Model.SetAddonsConfigRequest.decode/2","module":"GoogleApi.Container.V1.Model.SetAddonsConfigRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.SetAddonsConfigRequest.html#t:t/0","title":"GoogleApi.Container.V1.Model.SetAddonsConfigRequest.t/0","module":"GoogleApi.Container.V1.Model.SetAddonsConfigRequest","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Model.SetLabelsRequest.html","title":"GoogleApi.Container.V1.Model.SetLabelsRequest","module":"GoogleApi.Container.V1.Model.SetLabelsRequest","type":"module","doc":"SetLabelsRequest sets the Google Cloud Platform labels on a Google Container Engine cluster, which will in turn set them for Google Compute Engine resources used by that cluster Attributes clusterId (String.t): Deprecated. The name of the cluster. This field has been deprecated and replaced by the name field. Defaults to: null. labelFingerprint (String.t): The fingerprint of the previous set of labels for this resource, used to detect conflicts. The fingerprint is initially generated by Kubernetes Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash when updating or changing labels. Make a &lt;code&gt;get()&lt;/code&gt; request to the resource to get the latest fingerprint. Defaults to: null. name (String.t): The name (project, location, cluster id) of the cluster to set labels. Specified in the format &#39;projects//locations//clusters/*&#39;. Defaults to: null. projectId (String.t): Deprecated. The Google Developers Console project ID or project number. This field has been deprecated and replaced by the name field. Defaults to: null. resourceLabels (%{optional(String.t) &#x3D;&gt; String.t}): The labels to set for that cluster. Defaults to: null. zone (String.t): Deprecated. The name of the Google Compute Engine zone in which the cluster resides. This field has been deprecated and replaced by the name field. Defaults to: null."},{"ref":"GoogleApi.Container.V1.Model.SetLabelsRequest.html#decode/2","title":"GoogleApi.Container.V1.Model.SetLabelsRequest.decode/2","module":"GoogleApi.Container.V1.Model.SetLabelsRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.SetLabelsRequest.html#t:t/0","title":"GoogleApi.Container.V1.Model.SetLabelsRequest.t/0","module":"GoogleApi.Container.V1.Model.SetLabelsRequest","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Model.SetLegacyAbacRequest.html","title":"GoogleApi.Container.V1.Model.SetLegacyAbacRequest","module":"GoogleApi.Container.V1.Model.SetLegacyAbacRequest","type":"module","doc":"SetLegacyAbacRequest enables or disables the ABAC authorization mechanism for a cluster. Attributes clusterId (String.t): Deprecated. The name of the cluster to update. This field has been deprecated and replaced by the name field. Defaults to: null. enabled (boolean()): Whether ABAC authorization will be enabled in the cluster. Defaults to: null. name (String.t): The name (project, location, cluster id) of the cluster to set legacy abac. Specified in the format &#39;projects//locations//clusters/*&#39;. Defaults to: null. projectId (String.t): Deprecated. The Google Developers Console project ID or project number. This field has been deprecated and replaced by the name field. Defaults to: null. zone (String.t): Deprecated. The name of the Google Compute Engine zone in which the cluster resides. This field has been deprecated and replaced by the name field. Defaults to: null."},{"ref":"GoogleApi.Container.V1.Model.SetLegacyAbacRequest.html#decode/2","title":"GoogleApi.Container.V1.Model.SetLegacyAbacRequest.decode/2","module":"GoogleApi.Container.V1.Model.SetLegacyAbacRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.SetLegacyAbacRequest.html#t:t/0","title":"GoogleApi.Container.V1.Model.SetLegacyAbacRequest.t/0","module":"GoogleApi.Container.V1.Model.SetLegacyAbacRequest","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Model.SetLocationsRequest.html","title":"GoogleApi.Container.V1.Model.SetLocationsRequest","module":"GoogleApi.Container.V1.Model.SetLocationsRequest","type":"module","doc":"SetLocationsRequest sets the locations of the cluster. Attributes clusterId (String.t): Deprecated. The name of the cluster to upgrade. This field has been deprecated and replaced by the name field. Defaults to: null. locations ([String.t]): The desired list of Google Compute Engine zones in which the cluster&#39;s nodes should be located. Changing the locations a cluster is in will result in nodes being either created or removed from the cluster, depending on whether locations are being added or removed. This list must always include the cluster&#39;s primary zone. Defaults to: null. name (String.t): The name (project, location, cluster) of the cluster to set locations. Specified in the format &#39;projects//locations//clusters/*&#39;. Defaults to: null. projectId (String.t): Deprecated. The Google Developers Console project ID or project number. This field has been deprecated and replaced by the name field. Defaults to: null. zone (String.t): Deprecated. The name of the Google Compute Engine zone in which the cluster resides. This field has been deprecated and replaced by the name field. Defaults to: null."},{"ref":"GoogleApi.Container.V1.Model.SetLocationsRequest.html#decode/2","title":"GoogleApi.Container.V1.Model.SetLocationsRequest.decode/2","module":"GoogleApi.Container.V1.Model.SetLocationsRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.SetLocationsRequest.html#t:t/0","title":"GoogleApi.Container.V1.Model.SetLocationsRequest.t/0","module":"GoogleApi.Container.V1.Model.SetLocationsRequest","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Model.SetLoggingServiceRequest.html","title":"GoogleApi.Container.V1.Model.SetLoggingServiceRequest","module":"GoogleApi.Container.V1.Model.SetLoggingServiceRequest","type":"module","doc":"SetLoggingServiceRequest sets the logging service of a cluster. Attributes clusterId (String.t): Deprecated. The name of the cluster to upgrade. This field has been deprecated and replaced by the name field. Defaults to: null. loggingService (String.t): The logging service the cluster should use to write metrics. Currently available options: &quot;logging.googleapis.com&quot; - the Google Cloud Logging service &quot;none&quot; - no metrics will be exported from the cluster Defaults to: null. name (String.t): The name (project, location, cluster) of the cluster to set logging. Specified in the format &#39;projects//locations//clusters/*&#39;. Defaults to: null. projectId (String.t): Deprecated. The Google Developers Console project ID or project number. This field has been deprecated and replaced by the name field. Defaults to: null. zone (String.t): Deprecated. The name of the Google Compute Engine zone in which the cluster resides. This field has been deprecated and replaced by the name field. Defaults to: null."},{"ref":"GoogleApi.Container.V1.Model.SetLoggingServiceRequest.html#decode/2","title":"GoogleApi.Container.V1.Model.SetLoggingServiceRequest.decode/2","module":"GoogleApi.Container.V1.Model.SetLoggingServiceRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.SetLoggingServiceRequest.html#t:t/0","title":"GoogleApi.Container.V1.Model.SetLoggingServiceRequest.t/0","module":"GoogleApi.Container.V1.Model.SetLoggingServiceRequest","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Model.SetMaintenancePolicyRequest.html","title":"GoogleApi.Container.V1.Model.SetMaintenancePolicyRequest","module":"GoogleApi.Container.V1.Model.SetMaintenancePolicyRequest","type":"module","doc":"SetMaintenancePolicyRequest sets the maintenance policy for a cluster. Attributes clusterId (String.t): The name of the cluster to update. Defaults to: null. maintenancePolicy (MaintenancePolicy): The maintenance policy to be set for the cluster. An empty field clears the existing maintenance policy. Defaults to: null. name (String.t): The name (project, location, cluster id) of the cluster to set maintenance policy. Specified in the format &#39;projects//locations//clusters/*&#39;. Defaults to: null. projectId (String.t): The Google Developers Console project ID or project number. Defaults to: null. zone (String.t): The name of the Google Compute Engine zone in which the cluster resides. Defaults to: null."},{"ref":"GoogleApi.Container.V1.Model.SetMaintenancePolicyRequest.html#decode/2","title":"GoogleApi.Container.V1.Model.SetMaintenancePolicyRequest.decode/2","module":"GoogleApi.Container.V1.Model.SetMaintenancePolicyRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.SetMaintenancePolicyRequest.html#t:t/0","title":"GoogleApi.Container.V1.Model.SetMaintenancePolicyRequest.t/0","module":"GoogleApi.Container.V1.Model.SetMaintenancePolicyRequest","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Model.SetMasterAuthRequest.html","title":"GoogleApi.Container.V1.Model.SetMasterAuthRequest","module":"GoogleApi.Container.V1.Model.SetMasterAuthRequest","type":"module","doc":"SetMasterAuthRequest updates the admin password of a cluster. Attributes action (String.t): The exact form of action to be taken on the master auth. Defaults to: null. Enum - one of [UNKNOWN, SET_PASSWORD, GENERATE_PASSWORD, SET_USERNAME] clusterId (String.t): Deprecated. The name of the cluster to upgrade. This field has been deprecated and replaced by the name field. Defaults to: null. name (String.t): The name (project, location, cluster) of the cluster to set auth. Specified in the format &#39;projects//locations//clusters/*&#39;. Defaults to: null. projectId (String.t): Deprecated. The Google Developers Console project ID or project number. This field has been deprecated and replaced by the name field. Defaults to: null. update (MasterAuth): A description of the update. Defaults to: null. zone (String.t): Deprecated. The name of the Google Compute Engine zone in which the cluster resides. This field has been deprecated and replaced by the name field. Defaults to: null."},{"ref":"GoogleApi.Container.V1.Model.SetMasterAuthRequest.html#decode/2","title":"GoogleApi.Container.V1.Model.SetMasterAuthRequest.decode/2","module":"GoogleApi.Container.V1.Model.SetMasterAuthRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.SetMasterAuthRequest.html#t:t/0","title":"GoogleApi.Container.V1.Model.SetMasterAuthRequest.t/0","module":"GoogleApi.Container.V1.Model.SetMasterAuthRequest","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Model.SetMonitoringServiceRequest.html","title":"GoogleApi.Container.V1.Model.SetMonitoringServiceRequest","module":"GoogleApi.Container.V1.Model.SetMonitoringServiceRequest","type":"module","doc":"SetMonitoringServiceRequest sets the monitoring service of a cluster. Attributes clusterId (String.t): Deprecated. The name of the cluster to upgrade. This field has been deprecated and replaced by the name field. Defaults to: null. monitoringService (String.t): The monitoring service the cluster should use to write metrics. Currently available options: &quot;monitoring.googleapis.com&quot; - the Google Cloud Monitoring service &quot;none&quot; - no metrics will be exported from the cluster Defaults to: null. name (String.t): The name (project, location, cluster) of the cluster to set monitoring. Specified in the format &#39;projects//locations//clusters/*&#39;. Defaults to: null. projectId (String.t): Deprecated. The Google Developers Console project ID or project number. This field has been deprecated and replaced by the name field. Defaults to: null. zone (String.t): Deprecated. The name of the Google Compute Engine zone in which the cluster resides. This field has been deprecated and replaced by the name field. Defaults to: null."},{"ref":"GoogleApi.Container.V1.Model.SetMonitoringServiceRequest.html#decode/2","title":"GoogleApi.Container.V1.Model.SetMonitoringServiceRequest.decode/2","module":"GoogleApi.Container.V1.Model.SetMonitoringServiceRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.SetMonitoringServiceRequest.html#t:t/0","title":"GoogleApi.Container.V1.Model.SetMonitoringServiceRequest.t/0","module":"GoogleApi.Container.V1.Model.SetMonitoringServiceRequest","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Model.SetNetworkPolicyRequest.html","title":"GoogleApi.Container.V1.Model.SetNetworkPolicyRequest","module":"GoogleApi.Container.V1.Model.SetNetworkPolicyRequest","type":"module","doc":"SetNetworkPolicyRequest enables/disables network policy for a cluster. Attributes clusterId (String.t): Deprecated. The name of the cluster. This field has been deprecated and replaced by the name field. Defaults to: null. name (String.t): The name (project, location, cluster id) of the cluster to set networking policy. Specified in the format &#39;projects//locations//clusters/*&#39;. Defaults to: null. networkPolicy (NetworkPolicy): Configuration options for the NetworkPolicy feature. Defaults to: null. projectId (String.t): Deprecated. The Google Developers Console project ID or project number. This field has been deprecated and replaced by the name field. Defaults to: null. zone (String.t): Deprecated. The name of the Google Compute Engine zone in which the cluster resides. This field has been deprecated and replaced by the name field. Defaults to: null."},{"ref":"GoogleApi.Container.V1.Model.SetNetworkPolicyRequest.html#decode/2","title":"GoogleApi.Container.V1.Model.SetNetworkPolicyRequest.decode/2","module":"GoogleApi.Container.V1.Model.SetNetworkPolicyRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.SetNetworkPolicyRequest.html#t:t/0","title":"GoogleApi.Container.V1.Model.SetNetworkPolicyRequest.t/0","module":"GoogleApi.Container.V1.Model.SetNetworkPolicyRequest","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Model.SetNodePoolAutoscalingRequest.html","title":"GoogleApi.Container.V1.Model.SetNodePoolAutoscalingRequest","module":"GoogleApi.Container.V1.Model.SetNodePoolAutoscalingRequest","type":"module","doc":"SetNodePoolAutoscalingRequest sets the autoscaler settings of a node pool. Attributes autoscaling (NodePoolAutoscaling): Autoscaling configuration for the node pool. Defaults to: null. clusterId (String.t): Deprecated. The name of the cluster to upgrade. This field has been deprecated and replaced by the name field. Defaults to: null. name (String.t): The name (project, location, cluster, node pool) of the node pool to set autoscaler settings. Specified in the format &#39;projects//locations//clusters//nodePools/&#39;. Defaults to: null. nodePoolId (String.t): Deprecated. The name of the node pool to upgrade. This field has been deprecated and replaced by the name field. Defaults to: null. projectId (String.t): Deprecated. The Google Developers Console project ID or project number. This field has been deprecated and replaced by the name field. Defaults to: null. zone (String.t): Deprecated. The name of the Google Compute Engine zone in which the cluster resides. This field has been deprecated and replaced by the name field. Defaults to: null."},{"ref":"GoogleApi.Container.V1.Model.SetNodePoolAutoscalingRequest.html#decode/2","title":"GoogleApi.Container.V1.Model.SetNodePoolAutoscalingRequest.decode/2","module":"GoogleApi.Container.V1.Model.SetNodePoolAutoscalingRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.SetNodePoolAutoscalingRequest.html#t:t/0","title":"GoogleApi.Container.V1.Model.SetNodePoolAutoscalingRequest.t/0","module":"GoogleApi.Container.V1.Model.SetNodePoolAutoscalingRequest","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Model.SetNodePoolManagementRequest.html","title":"GoogleApi.Container.V1.Model.SetNodePoolManagementRequest","module":"GoogleApi.Container.V1.Model.SetNodePoolManagementRequest","type":"module","doc":"SetNodePoolManagementRequest sets the node management properties of a node pool. Attributes clusterId (String.t): Deprecated. The name of the cluster to update. This field has been deprecated and replaced by the name field. Defaults to: null. management (NodeManagement): NodeManagement configuration for the node pool. Defaults to: null. name (String.t): The name (project, location, cluster, node pool id) of the node pool to set management properties. Specified in the format &#39;projects//locations//clusters//nodePools/&#39;. Defaults to: null. nodePoolId (String.t): Deprecated. The name of the node pool to update. This field has been deprecated and replaced by the name field. Defaults to: null. projectId (String.t): Deprecated. The Google Developers Console project ID or project number. This field has been deprecated and replaced by the name field. Defaults to: null. zone (String.t): Deprecated. The name of the Google Compute Engine zone in which the cluster resides. This field has been deprecated and replaced by the name field. Defaults to: null."},{"ref":"GoogleApi.Container.V1.Model.SetNodePoolManagementRequest.html#decode/2","title":"GoogleApi.Container.V1.Model.SetNodePoolManagementRequest.decode/2","module":"GoogleApi.Container.V1.Model.SetNodePoolManagementRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.SetNodePoolManagementRequest.html#t:t/0","title":"GoogleApi.Container.V1.Model.SetNodePoolManagementRequest.t/0","module":"GoogleApi.Container.V1.Model.SetNodePoolManagementRequest","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Model.SetNodePoolSizeRequest.html","title":"GoogleApi.Container.V1.Model.SetNodePoolSizeRequest","module":"GoogleApi.Container.V1.Model.SetNodePoolSizeRequest","type":"module","doc":"SetNodePoolSizeRequest sets the size a node pool. Attributes clusterId (String.t): Deprecated. The name of the cluster to update. This field has been deprecated and replaced by the name field. Defaults to: null. name (String.t): The name (project, location, cluster, node pool id) of the node pool to set size. Specified in the format &#39;projects//locations//clusters//nodePools/&#39;. Defaults to: null. nodeCount (integer()): The desired node count for the pool. Defaults to: null. nodePoolId (String.t): Deprecated. The name of the node pool to update. This field has been deprecated and replaced by the name field. Defaults to: null. projectId (String.t): Deprecated. The Google Developers Console project ID or project number. This field has been deprecated and replaced by the name field. Defaults to: null. zone (String.t): Deprecated. The name of the Google Compute Engine zone in which the cluster resides. This field has been deprecated and replaced by the name field. Defaults to: null."},{"ref":"GoogleApi.Container.V1.Model.SetNodePoolSizeRequest.html#decode/2","title":"GoogleApi.Container.V1.Model.SetNodePoolSizeRequest.decode/2","module":"GoogleApi.Container.V1.Model.SetNodePoolSizeRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.SetNodePoolSizeRequest.html#t:t/0","title":"GoogleApi.Container.V1.Model.SetNodePoolSizeRequest.t/0","module":"GoogleApi.Container.V1.Model.SetNodePoolSizeRequest","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Model.StartIpRotationRequest.html","title":"GoogleApi.Container.V1.Model.StartIpRotationRequest","module":"GoogleApi.Container.V1.Model.StartIpRotationRequest","type":"module","doc":"StartIPRotationRequest creates a new IP for the cluster and then performs a node upgrade on each node pool to point to the new IP. Attributes clusterId (String.t): Deprecated. The name of the cluster. This field has been deprecated and replaced by the name field. Defaults to: null. name (String.t): The name (project, location, cluster id) of the cluster to start IP rotation. Specified in the format &#39;projects//locations//clusters/*&#39;. Defaults to: null. projectId (String.t): Deprecated. The Google Developers Console project ID or project number. This field has been deprecated and replaced by the name field. Defaults to: null. rotateCredentials (boolean()): Whether to rotate credentials during IP rotation. Defaults to: null. zone (String.t): Deprecated. The name of the Google Compute Engine zone in which the cluster resides. This field has been deprecated and replaced by the name field. Defaults to: null."},{"ref":"GoogleApi.Container.V1.Model.StartIpRotationRequest.html#decode/2","title":"GoogleApi.Container.V1.Model.StartIpRotationRequest.decode/2","module":"GoogleApi.Container.V1.Model.StartIpRotationRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.StartIpRotationRequest.html#t:t/0","title":"GoogleApi.Container.V1.Model.StartIpRotationRequest.t/0","module":"GoogleApi.Container.V1.Model.StartIpRotationRequest","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Model.StatusCondition.html","title":"GoogleApi.Container.V1.Model.StatusCondition","module":"GoogleApi.Container.V1.Model.StatusCondition","type":"module","doc":"StatusCondition describes why a cluster or a node pool has a certain status (e.g., ERROR or DEGRADED). Attributes code (String.t): Machine-friendly representation of the condition Defaults to: null. Enum - one of [UNKNOWN, GCE_STOCKOUT, GKE_SERVICE_ACCOUNT_DELETED, GCE_QUOTA_EXCEEDED, SET_BY_OPERATOR] message (String.t): Human-friendly representation of the condition Defaults to: null."},{"ref":"GoogleApi.Container.V1.Model.StatusCondition.html#decode/2","title":"GoogleApi.Container.V1.Model.StatusCondition.decode/2","module":"GoogleApi.Container.V1.Model.StatusCondition","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.StatusCondition.html#t:t/0","title":"GoogleApi.Container.V1.Model.StatusCondition.t/0","module":"GoogleApi.Container.V1.Model.StatusCondition","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Model.UpdateClusterRequest.html","title":"GoogleApi.Container.V1.Model.UpdateClusterRequest","module":"GoogleApi.Container.V1.Model.UpdateClusterRequest","type":"module","doc":"UpdateClusterRequest updates the settings of a cluster. Attributes clusterId (String.t): Deprecated. The name of the cluster to upgrade. This field has been deprecated and replaced by the name field. Defaults to: null. name (String.t): The name (project, location, cluster) of the cluster to update. Specified in the format &#39;projects//locations//clusters/*&#39;. Defaults to: null. projectId (String.t): Deprecated. The Google Developers Console project ID or project number. This field has been deprecated and replaced by the name field. Defaults to: null. update (ClusterUpdate): A description of the update. Defaults to: null. zone (String.t): Deprecated. The name of the Google Compute Engine zone in which the cluster resides. This field has been deprecated and replaced by the name field. Defaults to: null."},{"ref":"GoogleApi.Container.V1.Model.UpdateClusterRequest.html#decode/2","title":"GoogleApi.Container.V1.Model.UpdateClusterRequest.decode/2","module":"GoogleApi.Container.V1.Model.UpdateClusterRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.UpdateClusterRequest.html#t:t/0","title":"GoogleApi.Container.V1.Model.UpdateClusterRequest.t/0","module":"GoogleApi.Container.V1.Model.UpdateClusterRequest","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Model.UpdateMasterRequest.html","title":"GoogleApi.Container.V1.Model.UpdateMasterRequest","module":"GoogleApi.Container.V1.Model.UpdateMasterRequest","type":"module","doc":"UpdateMasterRequest updates the master of the cluster. Attributes clusterId (String.t): Deprecated. The name of the cluster to upgrade. This field has been deprecated and replaced by the name field. Defaults to: null. masterVersion (String.t): The Kubernetes version to change the master to. Users may specify either explicit versions offered by Kubernetes Engine or version aliases, which have the following behavior: - &quot;latest&quot;: picks the highest valid Kubernetes version - &quot;1.X&quot;: picks the highest valid patch+gke.N patch in the 1.X version - &quot;1.X.Y&quot;: picks the highest valid gke.N patch in the 1.X.Y version - &quot;1.X.Y-gke.N&quot;: picks an explicit Kubernetes version - &quot;-&quot;: picks the default Kubernetes version Defaults to: null. name (String.t): The name (project, location, cluster) of the cluster to update. Specified in the format &#39;projects//locations//clusters/*&#39;. Defaults to: null. projectId (String.t): Deprecated. The Google Developers Console project ID or project number. This field has been deprecated and replaced by the name field. Defaults to: null. zone (String.t): Deprecated. The name of the Google Compute Engine zone in which the cluster resides. This field has been deprecated and replaced by the name field. Defaults to: null."},{"ref":"GoogleApi.Container.V1.Model.UpdateMasterRequest.html#decode/2","title":"GoogleApi.Container.V1.Model.UpdateMasterRequest.decode/2","module":"GoogleApi.Container.V1.Model.UpdateMasterRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.UpdateMasterRequest.html#t:t/0","title":"GoogleApi.Container.V1.Model.UpdateMasterRequest.t/0","module":"GoogleApi.Container.V1.Model.UpdateMasterRequest","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.Model.UpdateNodePoolRequest.html","title":"GoogleApi.Container.V1.Model.UpdateNodePoolRequest","module":"GoogleApi.Container.V1.Model.UpdateNodePoolRequest","type":"module","doc":"UpdateNodePoolRequests update a node pool&#39;s image and/or version. Attributes clusterId (String.t): Deprecated. The name of the cluster to upgrade. This field has been deprecated and replaced by the name field. Defaults to: null. imageType (String.t): The desired image type for the node pool. Defaults to: null. name (String.t): The name (project, location, cluster, node pool) of the node pool to update. Specified in the format &#39;projects//locations//clusters//nodePools/&#39;. Defaults to: null. nodePoolId (String.t): Deprecated. The name of the node pool to upgrade. This field has been deprecated and replaced by the name field. Defaults to: null. nodeVersion (String.t): The Kubernetes version to change the nodes to (typically an upgrade). Users may specify either explicit versions offered by Kubernetes Engine or version aliases, which have the following behavior: - &quot;latest&quot;: picks the highest valid Kubernetes version - &quot;1.X&quot;: picks the highest valid patch+gke.N patch in the 1.X version - &quot;1.X.Y&quot;: picks the highest valid gke.N patch in the 1.X.Y version - &quot;1.X.Y-gke.N&quot;: picks an explicit Kubernetes version - &quot;-&quot;: picks the Kubernetes master version Defaults to: null. projectId (String.t): Deprecated. The Google Developers Console project ID or project number. This field has been deprecated and replaced by the name field. Defaults to: null. zone (String.t): Deprecated. The name of the Google Compute Engine zone in which the cluster resides. This field has been deprecated and replaced by the name field. Defaults to: null."},{"ref":"GoogleApi.Container.V1.Model.UpdateNodePoolRequest.html#decode/2","title":"GoogleApi.Container.V1.Model.UpdateNodePoolRequest.decode/2","module":"GoogleApi.Container.V1.Model.UpdateNodePoolRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Container.V1.Model.UpdateNodePoolRequest.html#t:t/0","title":"GoogleApi.Container.V1.Model.UpdateNodePoolRequest.t/0","module":"GoogleApi.Container.V1.Model.UpdateNodePoolRequest","type":"type","doc":""},{"ref":"GoogleApi.Container.V1.RequestBuilder.html","title":"GoogleApi.Container.V1.RequestBuilder","module":"GoogleApi.Container.V1.RequestBuilder","type":"module","doc":"Helper functions for building Tesla requests. This module is no longer used. Please use GoogleApi.Gax.Request instead."}]